function [f,fx11,fx11p,fy,fyp,fx12] = getModelDeriv_EP(nx,mx,myx,ny,params,N,h0,g0,x,y,t,getDeriv)
 
%Unfold params
DELTA= params.DELTA;
BETTA= params.BETTA;
GAMA= params.GAMA;
PHI= params.PHI;
ALFA= params.ALFA;
RHOA= params.RHOA;
 
% Current values in the model;
% x(N,mx) y(N,ny);
% x;
k1_cu = x(t,1)+h0(1,1);
k2_cu = x(t,2)+h0(2,1);
k3_cu = x(t,3)+h0(3,1);
k4_cu = x(t,4)+h0(4,1);
a1_cu = x(t,5)+h0(5,1);
a2_cu = x(t,6)+h0(6,1);
a3_cu = x(t,7)+h0(7,1);
a4_cu = x(t,8)+h0(8,1);
% xp;
k1_cup = x(t+1,1)+h0(1,1);
k2_cup = x(t+1,2)+h0(2,1);
k3_cup = x(t+1,3)+h0(3,1);
k4_cup = x(t+1,4)+h0(4,1);
a1_cup = x(t+1,5)+h0(5,1);
a2_cup = x(t+1,6)+h0(6,1);
a3_cup = x(t+1,7)+h0(7,1);
a4_cup = x(t+1,8)+h0(8,1);
 
% y
c1_cu = y(t,1)+g0(1,1);
c2_cu = y(t,2)+g0(2,1);
c3_cu = y(t,3)+g0(3,1);
c4_cu = y(t,4)+g0(4,1);
iv1_cu = y(t,5)+g0(5,1);
iv2_cu = y(t,6)+g0(6,1);
iv3_cu = y(t,7)+g0(7,1);
iv4_cu = y(t,8)+g0(8,1);
la_cu = y(t,9)+g0(9,1);
% yp;
c1_cup = y(t+1,1)+g0(1,1);
c2_cup = y(t+1,2)+g0(2,1);
c3_cup = y(t+1,3)+g0(3,1);
c4_cup = y(t+1,4)+g0(4,1);
iv1_cup = y(t+1,5)+g0(5,1);
iv2_cup = y(t+1,6)+g0(6,1);
iv3_cup = y(t+1,7)+g0(7,1);
iv4_cup = y(t+1,8)+g0(8,1);
la_cup = y(t+1,9)+g0(9,1);
 
%% Setting the dimension of the matrices 
fx11  = zeros(ny+mx,mx);
fx11p = zeros(ny+mx,mx);
fy   = zeros(mx+ny,ny);
fyp  = zeros(mx+ny,ny);
fx12 = zeros(mx+ny,myx);
 
%% f Function evaluation
% START DISPLAYING f
f(1,1)=(exp(-la_cu)*(-(BETTA - 1)/(ALFA*BETTA))^(1/GAMA))/exp(c1_cu)^(1/GAMA) - 1;
f(2,1)=(exp(-la_cu)*(-(BETTA - 1)/(ALFA*BETTA))^(1/GAMA))/exp(c2_cu)^(1/GAMA) - 1;
f(3,1)=(exp(-la_cu)*(-(BETTA - 1)/(ALFA*BETTA))^(1/GAMA))/exp(c3_cu)^(1/GAMA) - 1;
f(4,1)=(exp(-la_cu)*(-(BETTA - 1)/(ALFA*BETTA))^(1/GAMA))/exp(c4_cu)^(1/GAMA) - 1;
f(5,1)=exp(-k1_cup)*(exp(iv1_cu) - exp(k1_cu)*(DELTA - 1)) - 1;
f(6,1)=exp(-k2_cup)*(exp(iv2_cu) - exp(k2_cu)*(DELTA - 1)) - 1;
f(7,1)=exp(-k3_cup)*(exp(iv3_cu) - exp(k3_cu)*(DELTA - 1)) - 1;
f(8,1)=exp(-k4_cup)*(exp(iv4_cu) - exp(k4_cu)*(DELTA - 1)) - 1;
f(9,1)=-(exp(-la_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k1_cu)*exp(iv1_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k1_cup)*exp(iv1_cup))*((exp(-k1_cup)*exp(iv1_cup))/2 - DELTA/2 + 1) + (exp(a1_cup)*exp(k1_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k1_cu)*exp(iv1_cu)) - 1);
f(10,1)=-(exp(-la_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k2_cu)*exp(iv2_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k2_cup)*exp(iv2_cup))*((exp(-k2_cup)*exp(iv2_cup))/2 - DELTA/2 + 1) + (exp(a2_cup)*exp(k2_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k2_cu)*exp(iv2_cu)) - 1);
f(11,1)=-(exp(-la_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k3_cu)*exp(iv3_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k3_cup)*exp(iv3_cup))*((exp(-k3_cup)*exp(iv3_cup))/2 - DELTA/2 + 1) + (exp(a3_cup)*exp(k3_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k3_cu)*exp(iv3_cu)) - 1);
f(12,1)=-(exp(-la_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k4_cu)*exp(iv4_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k4_cup)*exp(iv4_cup))*((exp(-k4_cup)*exp(iv4_cup))/2 - DELTA/2 + 1) + (exp(a4_cup)*exp(k4_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k4_cu)*exp(iv4_cu)) - 1);
f(13,1)=- ((PHI*exp(k1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu))^2)/2 + (PHI*exp(k2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu))^2)/2 + (PHI*exp(k3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu))^2)/2 + (PHI*exp(k4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu))^2)/2 + (exp(a1_cu)*exp(k1_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a2_cu)*exp(k2_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a3_cu)*exp(k3_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a4_cu)*exp(k4_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu)) - 1;
% END DISPLAYING f
 
%% Model derivatives fx11, fx11p, fy, fyp
if getDeriv == 1
% START DISPLAYING fx11
fx11(5,1)=-exp(-k1_cup)*exp(k1_cu)*(DELTA - 1);
fx11(9,1)=(PHI*exp(-k1_cu)*exp(-la_cu)*exp(iv1_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k1_cu)*exp(iv1_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k1_cup)*exp(iv1_cup))*((exp(-k1_cup)*exp(iv1_cup))/2 - DELTA/2 + 1) + (exp(a1_cup)*exp(k1_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k1_cu)*exp(iv1_cu)) - 1)^2 - (PHI*exp(-k1_cu)*exp(iv1_cu))/(PHI*(DELTA - exp(-k1_cu)*exp(iv1_cu)) - 1);
fx11(13,1)=- (PHI*exp(iv1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu)) + (PHI*exp(k1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu))^2)/2 + (exp(a1_cu)*exp(k1_cu)*exp(k1_cu)^(ALFA - 1)*(BETTA - 1))/BETTA)/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu)) - (DELTA*exp(k1_cu)*((PHI*exp(k1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu))^2)/2 + (PHI*exp(k2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu))^2)/2 + (PHI*exp(k3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu))^2)/2 + (PHI*exp(k4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu))^2)/2 + (exp(a1_cu)*exp(k1_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a2_cu)*exp(k2_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a3_cu)*exp(k3_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a4_cu)*exp(k4_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu))^2;
fx11(6,2)=-exp(-k2_cup)*exp(k2_cu)*(DELTA - 1);
fx11(10,2)=(PHI*exp(-k2_cu)*exp(-la_cu)*exp(iv2_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k2_cu)*exp(iv2_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k2_cup)*exp(iv2_cup))*((exp(-k2_cup)*exp(iv2_cup))/2 - DELTA/2 + 1) + (exp(a2_cup)*exp(k2_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k2_cu)*exp(iv2_cu)) - 1)^2 - (PHI*exp(-k2_cu)*exp(iv2_cu))/(PHI*(DELTA - exp(-k2_cu)*exp(iv2_cu)) - 1);
fx11(13,2)=- (PHI*exp(iv2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu)) + (PHI*exp(k2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu))^2)/2 + (exp(a2_cu)*exp(k2_cu)*exp(k2_cu)^(ALFA - 1)*(BETTA - 1))/BETTA)/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu)) - (DELTA*exp(k2_cu)*((PHI*exp(k1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu))^2)/2 + (PHI*exp(k2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu))^2)/2 + (PHI*exp(k3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu))^2)/2 + (PHI*exp(k4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu))^2)/2 + (exp(a1_cu)*exp(k1_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a2_cu)*exp(k2_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a3_cu)*exp(k3_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a4_cu)*exp(k4_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu))^2;
fx11(7,3)=-exp(-k3_cup)*exp(k3_cu)*(DELTA - 1);
fx11(11,3)=(PHI*exp(-k3_cu)*exp(-la_cu)*exp(iv3_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k3_cu)*exp(iv3_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k3_cup)*exp(iv3_cup))*((exp(-k3_cup)*exp(iv3_cup))/2 - DELTA/2 + 1) + (exp(a3_cup)*exp(k3_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k3_cu)*exp(iv3_cu)) - 1)^2 - (PHI*exp(-k3_cu)*exp(iv3_cu))/(PHI*(DELTA - exp(-k3_cu)*exp(iv3_cu)) - 1);
fx11(13,3)=- (PHI*exp(iv3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu)) + (PHI*exp(k3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu))^2)/2 + (exp(a3_cu)*exp(k3_cu)*exp(k3_cu)^(ALFA - 1)*(BETTA - 1))/BETTA)/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu)) - (DELTA*exp(k3_cu)*((PHI*exp(k1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu))^2)/2 + (PHI*exp(k2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu))^2)/2 + (PHI*exp(k3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu))^2)/2 + (PHI*exp(k4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu))^2)/2 + (exp(a1_cu)*exp(k1_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a2_cu)*exp(k2_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a3_cu)*exp(k3_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a4_cu)*exp(k4_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu))^2;
fx11(8,4)=-exp(-k4_cup)*exp(k4_cu)*(DELTA - 1);
fx11(12,4)=(PHI*exp(-k4_cu)*exp(-la_cu)*exp(iv4_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k4_cu)*exp(iv4_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k4_cup)*exp(iv4_cup))*((exp(-k4_cup)*exp(iv4_cup))/2 - DELTA/2 + 1) + (exp(a4_cup)*exp(k4_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k4_cu)*exp(iv4_cu)) - 1)^2 - (PHI*exp(-k4_cu)*exp(iv4_cu))/(PHI*(DELTA - exp(-k4_cu)*exp(iv4_cu)) - 1);
fx11(13,4)=- (PHI*exp(iv4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu)) + (PHI*exp(k4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu))^2)/2 + (exp(a4_cu)*exp(k4_cu)*exp(k4_cu)^(ALFA - 1)*(BETTA - 1))/BETTA)/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu)) - (DELTA*exp(k4_cu)*((PHI*exp(k1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu))^2)/2 + (PHI*exp(k2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu))^2)/2 + (PHI*exp(k3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu))^2)/2 + (PHI*exp(k4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu))^2)/2 + (exp(a1_cu)*exp(k1_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a2_cu)*exp(k2_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a3_cu)*exp(k3_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a4_cu)*exp(k4_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu))^2;
% END DISPLAYING fx11
if t == 1;
    fx11  = zeros(ny+mx,mx);
end
 
% START DISPLAYING fx11p
fx11p(5,1)=-exp(-k1_cup)*(exp(iv1_cu) - exp(k1_cu)*(DELTA - 1));
fx11p(9,1)=(BETTA*exp(-la_cu)*exp(la_cup)*(PHI*exp(-k1_cup)*exp(iv1_cup)*((exp(-k1_cup)*exp(iv1_cup))/2 - DELTA/2 + 1) - (PHI*exp(-k1_cup)*exp(iv1_cup)*(DELTA - exp(-k1_cup)*exp(iv1_cup)))/2 + (exp(a1_cup)*exp(k1_cup)*exp(k1_cup)^(ALFA - 2)*(ALFA - 1)*(BETTA - 1))/BETTA))/(PHI*(DELTA - exp(-k1_cu)*exp(iv1_cu)) - 1);
fx11p(6,2)=-exp(-k2_cup)*(exp(iv2_cu) - exp(k2_cu)*(DELTA - 1));
fx11p(10,2)=(BETTA*exp(-la_cu)*exp(la_cup)*(PHI*exp(-k2_cup)*exp(iv2_cup)*((exp(-k2_cup)*exp(iv2_cup))/2 - DELTA/2 + 1) - (PHI*exp(-k2_cup)*exp(iv2_cup)*(DELTA - exp(-k2_cup)*exp(iv2_cup)))/2 + (exp(a2_cup)*exp(k2_cup)*exp(k2_cup)^(ALFA - 2)*(ALFA - 1)*(BETTA - 1))/BETTA))/(PHI*(DELTA - exp(-k2_cu)*exp(iv2_cu)) - 1);
fx11p(7,3)=-exp(-k3_cup)*(exp(iv3_cu) - exp(k3_cu)*(DELTA - 1));
fx11p(11,3)=(BETTA*exp(-la_cu)*exp(la_cup)*(PHI*exp(-k3_cup)*exp(iv3_cup)*((exp(-k3_cup)*exp(iv3_cup))/2 - DELTA/2 + 1) - (PHI*exp(-k3_cup)*exp(iv3_cup)*(DELTA - exp(-k3_cup)*exp(iv3_cup)))/2 + (exp(a3_cup)*exp(k3_cup)*exp(k3_cup)^(ALFA - 2)*(ALFA - 1)*(BETTA - 1))/BETTA))/(PHI*(DELTA - exp(-k3_cu)*exp(iv3_cu)) - 1);
fx11p(8,4)=-exp(-k4_cup)*(exp(iv4_cu) - exp(k4_cu)*(DELTA - 1));
fx11p(12,4)=(BETTA*exp(-la_cu)*exp(la_cup)*(PHI*exp(-k4_cup)*exp(iv4_cup)*((exp(-k4_cup)*exp(iv4_cup))/2 - DELTA/2 + 1) - (PHI*exp(-k4_cup)*exp(iv4_cup)*(DELTA - exp(-k4_cup)*exp(iv4_cup)))/2 + (exp(a4_cup)*exp(k4_cup)*exp(k4_cup)^(ALFA - 2)*(ALFA - 1)*(BETTA - 1))/BETTA))/(PHI*(DELTA - exp(-k4_cu)*exp(iv4_cu)) - 1);
% END DISPLAYING fx11p
 
 
% START DISPLAYING fy
fy(1,1)=-(exp(-la_cu)*exp(c1_cu)*(-(BETTA - 1)/(ALFA*BETTA))^(1/GAMA))/(GAMA*exp(c1_cu)^(1/GAMA + 1));
fy(13,1)=(exp(c1_cu)*((PHI*exp(k1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu))^2)/2 + (PHI*exp(k2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu))^2)/2 + (PHI*exp(k3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu))^2)/2 + (PHI*exp(k4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu))^2)/2 + (exp(a1_cu)*exp(k1_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a2_cu)*exp(k2_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a3_cu)*exp(k3_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a4_cu)*exp(k4_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu))^2;
fy(2,2)=-(exp(-la_cu)*exp(c2_cu)*(-(BETTA - 1)/(ALFA*BETTA))^(1/GAMA))/(GAMA*exp(c2_cu)^(1/GAMA + 1));
fy(13,2)=(exp(c2_cu)*((PHI*exp(k1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu))^2)/2 + (PHI*exp(k2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu))^2)/2 + (PHI*exp(k3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu))^2)/2 + (PHI*exp(k4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu))^2)/2 + (exp(a1_cu)*exp(k1_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a2_cu)*exp(k2_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a3_cu)*exp(k3_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a4_cu)*exp(k4_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu))^2;
fy(3,3)=-(exp(-la_cu)*exp(c3_cu)*(-(BETTA - 1)/(ALFA*BETTA))^(1/GAMA))/(GAMA*exp(c3_cu)^(1/GAMA + 1));
fy(13,3)=(exp(c3_cu)*((PHI*exp(k1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu))^2)/2 + (PHI*exp(k2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu))^2)/2 + (PHI*exp(k3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu))^2)/2 + (PHI*exp(k4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu))^2)/2 + (exp(a1_cu)*exp(k1_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a2_cu)*exp(k2_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a3_cu)*exp(k3_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a4_cu)*exp(k4_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu))^2;
fy(4,4)=-(exp(-la_cu)*exp(c4_cu)*(-(BETTA - 1)/(ALFA*BETTA))^(1/GAMA))/(GAMA*exp(c4_cu)^(1/GAMA + 1));
fy(13,4)=(exp(c4_cu)*((PHI*exp(k1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu))^2)/2 + (PHI*exp(k2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu))^2)/2 + (PHI*exp(k3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu))^2)/2 + (PHI*exp(k4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu))^2)/2 + (exp(a1_cu)*exp(k1_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a2_cu)*exp(k2_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a3_cu)*exp(k3_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a4_cu)*exp(k4_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu))^2;
fy(5,5)=exp(-k1_cup)*exp(iv1_cu);
fy(9,5)=(PHI*exp(-k1_cu)*exp(iv1_cu))/(PHI*(DELTA - exp(-k1_cu)*exp(iv1_cu)) - 1) - (PHI*exp(-k1_cu)*exp(-la_cu)*exp(iv1_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k1_cu)*exp(iv1_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k1_cup)*exp(iv1_cup))*((exp(-k1_cup)*exp(iv1_cup))/2 - DELTA/2 + 1) + (exp(a1_cup)*exp(k1_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k1_cu)*exp(iv1_cu)) - 1)^2;
fy(13,5)=(exp(iv1_cu)*((PHI*exp(k1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu))^2)/2 + (PHI*exp(k2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu))^2)/2 + (PHI*exp(k3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu))^2)/2 + (PHI*exp(k4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu))^2)/2 + (exp(a1_cu)*exp(k1_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a2_cu)*exp(k2_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a3_cu)*exp(k3_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a4_cu)*exp(k4_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu))^2 + (PHI*exp(iv1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu));
fy(6,6)=exp(-k2_cup)*exp(iv2_cu);
fy(10,6)=(PHI*exp(-k2_cu)*exp(iv2_cu))/(PHI*(DELTA - exp(-k2_cu)*exp(iv2_cu)) - 1) - (PHI*exp(-k2_cu)*exp(-la_cu)*exp(iv2_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k2_cu)*exp(iv2_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k2_cup)*exp(iv2_cup))*((exp(-k2_cup)*exp(iv2_cup))/2 - DELTA/2 + 1) + (exp(a2_cup)*exp(k2_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k2_cu)*exp(iv2_cu)) - 1)^2;
fy(13,6)=(exp(iv2_cu)*((PHI*exp(k1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu))^2)/2 + (PHI*exp(k2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu))^2)/2 + (PHI*exp(k3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu))^2)/2 + (PHI*exp(k4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu))^2)/2 + (exp(a1_cu)*exp(k1_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a2_cu)*exp(k2_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a3_cu)*exp(k3_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a4_cu)*exp(k4_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu))^2 + (PHI*exp(iv2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu));
fy(7,7)=exp(-k3_cup)*exp(iv3_cu);
fy(11,7)=(PHI*exp(-k3_cu)*exp(iv3_cu))/(PHI*(DELTA - exp(-k3_cu)*exp(iv3_cu)) - 1) - (PHI*exp(-k3_cu)*exp(-la_cu)*exp(iv3_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k3_cu)*exp(iv3_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k3_cup)*exp(iv3_cup))*((exp(-k3_cup)*exp(iv3_cup))/2 - DELTA/2 + 1) + (exp(a3_cup)*exp(k3_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k3_cu)*exp(iv3_cu)) - 1)^2;
fy(13,7)=(exp(iv3_cu)*((PHI*exp(k1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu))^2)/2 + (PHI*exp(k2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu))^2)/2 + (PHI*exp(k3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu))^2)/2 + (PHI*exp(k4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu))^2)/2 + (exp(a1_cu)*exp(k1_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a2_cu)*exp(k2_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a3_cu)*exp(k3_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a4_cu)*exp(k4_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu))^2 + (PHI*exp(iv3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu));
fy(8,8)=exp(-k4_cup)*exp(iv4_cu);
fy(12,8)=(PHI*exp(-k4_cu)*exp(iv4_cu))/(PHI*(DELTA - exp(-k4_cu)*exp(iv4_cu)) - 1) - (PHI*exp(-k4_cu)*exp(-la_cu)*exp(iv4_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k4_cu)*exp(iv4_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k4_cup)*exp(iv4_cup))*((exp(-k4_cup)*exp(iv4_cup))/2 - DELTA/2 + 1) + (exp(a4_cup)*exp(k4_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k4_cu)*exp(iv4_cu)) - 1)^2;
fy(13,8)=(exp(iv4_cu)*((PHI*exp(k1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu))^2)/2 + (PHI*exp(k2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu))^2)/2 + (PHI*exp(k3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu))^2)/2 + (PHI*exp(k4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu))^2)/2 + (exp(a1_cu)*exp(k1_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a2_cu)*exp(k2_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a3_cu)*exp(k3_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a4_cu)*exp(k4_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu))^2 + (PHI*exp(iv4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu));
fy(1,9)=-(exp(-la_cu)*(-(BETTA - 1)/(ALFA*BETTA))^(1/GAMA))/exp(c1_cu)^(1/GAMA);
fy(2,9)=-(exp(-la_cu)*(-(BETTA - 1)/(ALFA*BETTA))^(1/GAMA))/exp(c2_cu)^(1/GAMA);
fy(3,9)=-(exp(-la_cu)*(-(BETTA - 1)/(ALFA*BETTA))^(1/GAMA))/exp(c3_cu)^(1/GAMA);
fy(4,9)=-(exp(-la_cu)*(-(BETTA - 1)/(ALFA*BETTA))^(1/GAMA))/exp(c4_cu)^(1/GAMA);
fy(9,9)=(exp(-la_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k1_cu)*exp(iv1_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k1_cup)*exp(iv1_cup))*((exp(-k1_cup)*exp(iv1_cup))/2 - DELTA/2 + 1) + (exp(a1_cup)*exp(k1_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k1_cu)*exp(iv1_cu)) - 1) - 1;
fy(10,9)=(exp(-la_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k2_cu)*exp(iv2_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k2_cup)*exp(iv2_cup))*((exp(-k2_cup)*exp(iv2_cup))/2 - DELTA/2 + 1) + (exp(a2_cup)*exp(k2_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k2_cu)*exp(iv2_cu)) - 1) - 1;
fy(11,9)=(exp(-la_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k3_cu)*exp(iv3_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k3_cup)*exp(iv3_cup))*((exp(-k3_cup)*exp(iv3_cup))/2 - DELTA/2 + 1) + (exp(a3_cup)*exp(k3_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k3_cu)*exp(iv3_cu)) - 1) - 1;
fy(12,9)=(exp(-la_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k4_cu)*exp(iv4_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k4_cup)*exp(iv4_cup))*((exp(-k4_cup)*exp(iv4_cup))/2 - DELTA/2 + 1) + (exp(a4_cup)*exp(k4_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k4_cu)*exp(iv4_cu)) - 1) - 1;
% END DISPLAYING fy
 
% START DISPLAYING fx12
% END DISPLAYING fx12
if t < N
% START DISPLAYING fyp
fyp(9,5)=-(BETTA*exp(-la_cu)*exp(la_cup)*(PHI*exp(-k1_cup)*exp(iv1_cup)*((exp(-k1_cup)*exp(iv1_cup))/2 - DELTA/2 + 1) - (PHI*exp(-k1_cup)*exp(iv1_cup)*(DELTA - exp(-k1_cup)*exp(iv1_cup)))/2))/(PHI*(DELTA - exp(-k1_cu)*exp(iv1_cu)) - 1);
fyp(10,6)=-(BETTA*exp(-la_cu)*exp(la_cup)*(PHI*exp(-k2_cup)*exp(iv2_cup)*((exp(-k2_cup)*exp(iv2_cup))/2 - DELTA/2 + 1) - (PHI*exp(-k2_cup)*exp(iv2_cup)*(DELTA - exp(-k2_cup)*exp(iv2_cup)))/2))/(PHI*(DELTA - exp(-k2_cu)*exp(iv2_cu)) - 1);
fyp(11,7)=-(BETTA*exp(-la_cu)*exp(la_cup)*(PHI*exp(-k3_cup)*exp(iv3_cup)*((exp(-k3_cup)*exp(iv3_cup))/2 - DELTA/2 + 1) - (PHI*exp(-k3_cup)*exp(iv3_cup)*(DELTA - exp(-k3_cup)*exp(iv3_cup)))/2))/(PHI*(DELTA - exp(-k3_cu)*exp(iv3_cu)) - 1);
fyp(12,8)=-(BETTA*exp(-la_cu)*exp(la_cup)*(PHI*exp(-k4_cup)*exp(iv4_cup)*((exp(-k4_cup)*exp(iv4_cup))/2 - DELTA/2 + 1) - (PHI*exp(-k4_cup)*exp(iv4_cup)*(DELTA - exp(-k4_cup)*exp(iv4_cup)))/2))/(PHI*(DELTA - exp(-k4_cu)*exp(iv4_cu)) - 1);
fyp(9,9)=(BETTA*exp(-la_cu)*exp(la_cup)*(PHI*(DELTA - exp(-k1_cup)*exp(iv1_cup))*((exp(-k1_cup)*exp(iv1_cup))/2 - DELTA/2 + 1) + (exp(a1_cup)*exp(k1_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1))/(PHI*(DELTA - exp(-k1_cu)*exp(iv1_cu)) - 1);
fyp(10,9)=(BETTA*exp(-la_cu)*exp(la_cup)*(PHI*(DELTA - exp(-k2_cup)*exp(iv2_cup))*((exp(-k2_cup)*exp(iv2_cup))/2 - DELTA/2 + 1) + (exp(a2_cup)*exp(k2_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1))/(PHI*(DELTA - exp(-k2_cu)*exp(iv2_cu)) - 1);
fyp(11,9)=(BETTA*exp(-la_cu)*exp(la_cup)*(PHI*(DELTA - exp(-k3_cup)*exp(iv3_cup))*((exp(-k3_cup)*exp(iv3_cup))/2 - DELTA/2 + 1) + (exp(a3_cup)*exp(k3_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1))/(PHI*(DELTA - exp(-k3_cu)*exp(iv3_cu)) - 1);
fyp(12,9)=(BETTA*exp(-la_cu)*exp(la_cup)*(PHI*(DELTA - exp(-k4_cup)*exp(iv4_cup))*((exp(-k4_cup)*exp(iv4_cup))/2 - DELTA/2 + 1) + (exp(a4_cup)*exp(k4_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1))/(PHI*(DELTA - exp(-k4_cu)*exp(iv4_cu)) - 1);
% END DISPLAYING fyp
end
end
