function [auxOut,f,errorMes] = numF(params)
 
% Computing the steady 
[auxOut,errorMes] = RBCmodel_ss(params);
params = auxOut.params;
xss = auxOut.xssTrans;
yss = auxOut.yssTrans;
 
%Unfold params
DELTA= params.DELTA;
BETTA= params.BETTA;
GAMA= params.GAMA;
PHI= params.PHI;
ALFA= params.ALFA;
RHOA= params.RHOA;
 
% Current values in the model;
% x;
k1_cu = xss(1);
k2_cu = xss(2);
k3_cu = xss(3);
k4_cu = xss(4);
a1_cu = xss(5);
a2_cu = xss(6);
a3_cu = xss(7);
a4_cu = xss(8);
% xp;
k1_cup = xss(1);
k2_cup = xss(2);
k3_cup = xss(3);
k4_cup = xss(4);
a1_cup = xss(5);
a2_cup = xss(6);
a3_cup = xss(7);
a4_cup = xss(8);
 
% y
c1_cu = yss(1);
c2_cu = yss(2);
c3_cu = yss(3);
c4_cu = yss(4);
iv1_cu = yss(5);
iv2_cu = yss(6);
iv3_cu = yss(7);
iv4_cu = yss(8);
la_cu = yss(9);
% yp;
c1_cup = yss(1);
c2_cup = yss(2);
c3_cup = yss(3);
c4_cup = yss(4);
iv1_cup = yss(5);
iv2_cup = yss(6);
iv3_cup = yss(7);
iv4_cup = yss(8);
la_cup = yss(9);
 
%% Setting the dimension of f matrices 
f  = zeros(length(xss)+length(yss),1);
 
%% f Function evaluation
% START DISPLAYING f
f(1,1)=(-(BETTA - 1)/(ALFA*BETTA))^(1/GAMA)/exp(c1_cu)^(1/GAMA) - exp(la_cu);
f(2,1)=(-(BETTA - 1)/(ALFA*BETTA))^(1/GAMA)/exp(c2_cu)^(1/GAMA) - exp(la_cu);
f(3,1)=(-(BETTA - 1)/(ALFA*BETTA))^(1/GAMA)/exp(c3_cu)^(1/GAMA) - exp(la_cu);
f(4,1)=(-(BETTA - 1)/(ALFA*BETTA))^(1/GAMA)/exp(c4_cu)^(1/GAMA) - exp(la_cu);
f(5,1)=exp(iv1_cu) - exp(k1_cup) - exp(k1_cu)*(DELTA - 1);
f(6,1)=exp(iv2_cu) - exp(k2_cup) - exp(k2_cu)*(DELTA - 1);
f(7,1)=exp(iv3_cu) - exp(k3_cup) - exp(k3_cu)*(DELTA - 1);
f(8,1)=exp(iv4_cu) - exp(k4_cup) - exp(k4_cu)*(DELTA - 1);
f(9,1)=exp(la_cu)*(PHI*(DELTA - exp(-k1_cu)*exp(iv1_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k1_cup)*exp(iv1_cup))*((exp(-k1_cup)*exp(iv1_cup))/2 - DELTA/2 + 1) + (exp(a1_cup)*exp(k1_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1);
f(10,1)=exp(la_cu)*(PHI*(DELTA - exp(-k2_cu)*exp(iv2_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k2_cup)*exp(iv2_cup))*((exp(-k2_cup)*exp(iv2_cup))/2 - DELTA/2 + 1) + (exp(a2_cup)*exp(k2_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1);
f(11,1)=exp(la_cu)*(PHI*(DELTA - exp(-k3_cu)*exp(iv3_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k3_cup)*exp(iv3_cup))*((exp(-k3_cup)*exp(iv3_cup))/2 - DELTA/2 + 1) + (exp(a3_cup)*exp(k3_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1);
f(12,1)=exp(la_cu)*(PHI*(DELTA - exp(-k4_cu)*exp(iv4_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k4_cup)*exp(iv4_cup))*((exp(-k4_cup)*exp(iv4_cup))/2 - DELTA/2 + 1) + (exp(a4_cup)*exp(k4_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1);
f(13,1)=DELTA*exp(k1_cu) - exp(c2_cu) - exp(c3_cu) - exp(c4_cu) - exp(iv1_cu) - exp(iv2_cu) - exp(iv3_cu) - exp(iv4_cu) - exp(c1_cu) + DELTA*exp(k2_cu) + DELTA*exp(k3_cu) + DELTA*exp(k4_cu) - (PHI*exp(k1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu))^2)/2 - (PHI*exp(k2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu))^2)/2 - (PHI*exp(k3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu))^2)/2 - (PHI*exp(k4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu))^2)/2 - (exp(a1_cu)*exp(k1_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) - (exp(a2_cu)*exp(k2_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) - (exp(a3_cu)*exp(k3_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) - (exp(a4_cu)*exp(k4_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA);
f(14,1)=RHOA*log(exp(a1_cu)) - log(exp(a1_cup));
f(15,1)=RHOA*log(exp(a2_cu)) - log(exp(a2_cup));
f(16,1)=RHOA*log(exp(a3_cu)) - log(exp(a3_cup));
f(17,1)=RHOA*log(exp(a4_cu)) - log(exp(a4_cup));
% END DISPLAYING f
 
end
