function [f,fx11,fx11p,fy,fyp,fx12] = getModelDeriv_EP(nx,mx,myx,ny,params,N,h0,g0,x,y,t,getDeriv)
 
%Unfold params
DELTA= params.DELTA;
BETTA= params.BETTA;
GAMA= params.GAMA;
PHI= params.PHI;
ALFA= params.ALFA;
RHOA= params.RHOA;
 
% Current values in the model;
% x(N,mx) y(N,ny);
% x;
k1_cu = x(t,1)+h0(1,1);
k2_cu = x(t,2)+h0(2,1);
k3_cu = x(t,3)+h0(3,1);
k4_cu = x(t,4)+h0(4,1);
k5_cu = x(t,5)+h0(5,1);
k6_cu = x(t,6)+h0(6,1);
a1_cu = x(t,7)+h0(7,1);
a2_cu = x(t,8)+h0(8,1);
a3_cu = x(t,9)+h0(9,1);
a4_cu = x(t,10)+h0(10,1);
a5_cu = x(t,11)+h0(11,1);
a6_cu = x(t,12)+h0(12,1);
% xp;
k1_cup = x(t+1,1)+h0(1,1);
k2_cup = x(t+1,2)+h0(2,1);
k3_cup = x(t+1,3)+h0(3,1);
k4_cup = x(t+1,4)+h0(4,1);
k5_cup = x(t+1,5)+h0(5,1);
k6_cup = x(t+1,6)+h0(6,1);
a1_cup = x(t+1,7)+h0(7,1);
a2_cup = x(t+1,8)+h0(8,1);
a3_cup = x(t+1,9)+h0(9,1);
a4_cup = x(t+1,10)+h0(10,1);
a5_cup = x(t+1,11)+h0(11,1);
a6_cup = x(t+1,12)+h0(12,1);
 
% y
c1_cu = y(t,1)+g0(1,1);
c2_cu = y(t,2)+g0(2,1);
c3_cu = y(t,3)+g0(3,1);
c4_cu = y(t,4)+g0(4,1);
c5_cu = y(t,5)+g0(5,1);
c6_cu = y(t,6)+g0(6,1);
iv1_cu = y(t,7)+g0(7,1);
iv2_cu = y(t,8)+g0(8,1);
iv3_cu = y(t,9)+g0(9,1);
iv4_cu = y(t,10)+g0(10,1);
iv5_cu = y(t,11)+g0(11,1);
iv6_cu = y(t,12)+g0(12,1);
la_cu = y(t,13)+g0(13,1);
% yp;
c1_cup = y(t+1,1)+g0(1,1);
c2_cup = y(t+1,2)+g0(2,1);
c3_cup = y(t+1,3)+g0(3,1);
c4_cup = y(t+1,4)+g0(4,1);
c5_cup = y(t+1,5)+g0(5,1);
c6_cup = y(t+1,6)+g0(6,1);
iv1_cup = y(t+1,7)+g0(7,1);
iv2_cup = y(t+1,8)+g0(8,1);
iv3_cup = y(t+1,9)+g0(9,1);
iv4_cup = y(t+1,10)+g0(10,1);
iv5_cup = y(t+1,11)+g0(11,1);
iv6_cup = y(t+1,12)+g0(12,1);
la_cup = y(t+1,13)+g0(13,1);
 
%% Setting the dimension of the matrices 
fx11  = zeros(ny+mx,mx);
fx11p = zeros(ny+mx,mx);
fy   = zeros(mx+ny,ny);
fyp  = zeros(mx+ny,ny);
fx12 = zeros(mx+ny,myx);
 
%% f Function evaluation
% START DISPLAYING f
f(1,1)=(exp(-la_cu)*(-(BETTA - 1)/(ALFA*BETTA))^(1/GAMA))/exp(c1_cu)^(1/GAMA) - 1;
f(2,1)=(exp(-la_cu)*(-(BETTA - 1)/(ALFA*BETTA))^(1/GAMA))/exp(c2_cu)^(1/GAMA) - 1;
f(3,1)=(exp(-la_cu)*(-(BETTA - 1)/(ALFA*BETTA))^(1/GAMA))/exp(c3_cu)^(1/GAMA) - 1;
f(4,1)=(exp(-la_cu)*(-(BETTA - 1)/(ALFA*BETTA))^(1/GAMA))/exp(c4_cu)^(1/GAMA) - 1;
f(5,1)=(exp(-la_cu)*(-(BETTA - 1)/(ALFA*BETTA))^(1/GAMA))/exp(c5_cu)^(1/GAMA) - 1;
f(6,1)=(exp(-la_cu)*(-(BETTA - 1)/(ALFA*BETTA))^(1/GAMA))/exp(c6_cu)^(1/GAMA) - 1;
f(7,1)=exp(-k1_cup)*(exp(iv1_cu) - exp(k1_cu)*(DELTA - 1)) - 1;
f(8,1)=exp(-k2_cup)*(exp(iv2_cu) - exp(k2_cu)*(DELTA - 1)) - 1;
f(9,1)=exp(-k3_cup)*(exp(iv3_cu) - exp(k3_cu)*(DELTA - 1)) - 1;
f(10,1)=exp(-k4_cup)*(exp(iv4_cu) - exp(k4_cu)*(DELTA - 1)) - 1;
f(11,1)=exp(-k5_cup)*(exp(iv5_cu) - exp(k5_cu)*(DELTA - 1)) - 1;
f(12,1)=exp(-k6_cup)*(exp(iv6_cu) - exp(k6_cu)*(DELTA - 1)) - 1;
f(13,1)=-(exp(-la_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k1_cu)*exp(iv1_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k1_cup)*exp(iv1_cup))*((exp(-k1_cup)*exp(iv1_cup))/2 - DELTA/2 + 1) + (exp(a1_cup)*exp(k1_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k1_cu)*exp(iv1_cu)) - 1);
f(14,1)=-(exp(-la_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k2_cu)*exp(iv2_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k2_cup)*exp(iv2_cup))*((exp(-k2_cup)*exp(iv2_cup))/2 - DELTA/2 + 1) + (exp(a2_cup)*exp(k2_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k2_cu)*exp(iv2_cu)) - 1);
f(15,1)=-(exp(-la_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k3_cu)*exp(iv3_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k3_cup)*exp(iv3_cup))*((exp(-k3_cup)*exp(iv3_cup))/2 - DELTA/2 + 1) + (exp(a3_cup)*exp(k3_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k3_cu)*exp(iv3_cu)) - 1);
f(16,1)=-(exp(-la_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k4_cu)*exp(iv4_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k4_cup)*exp(iv4_cup))*((exp(-k4_cup)*exp(iv4_cup))/2 - DELTA/2 + 1) + (exp(a4_cup)*exp(k4_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k4_cu)*exp(iv4_cu)) - 1);
f(17,1)=-(exp(-la_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k5_cu)*exp(iv5_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k5_cup)*exp(iv5_cup))*((exp(-k5_cup)*exp(iv5_cup))/2 - DELTA/2 + 1) + (exp(a5_cup)*exp(k5_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k5_cu)*exp(iv5_cu)) - 1);
f(18,1)=-(exp(-la_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k6_cu)*exp(iv6_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k6_cup)*exp(iv6_cup))*((exp(-k6_cup)*exp(iv6_cup))/2 - DELTA/2 + 1) + (exp(a6_cup)*exp(k6_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k6_cu)*exp(iv6_cu)) - 1);
f(19,1)=- ((PHI*exp(k1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu))^2)/2 + (PHI*exp(k2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu))^2)/2 + (PHI*exp(k3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu))^2)/2 + (PHI*exp(k4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu))^2)/2 + (PHI*exp(k5_cu)*(DELTA - exp(-k5_cu)*exp(iv5_cu))^2)/2 + (PHI*exp(k6_cu)*(DELTA - exp(-k6_cu)*exp(iv6_cu))^2)/2 + (exp(a1_cu)*exp(k1_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a2_cu)*exp(k2_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a3_cu)*exp(k3_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a4_cu)*exp(k4_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a5_cu)*exp(k5_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a6_cu)*exp(k6_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu)) - 1;
% END DISPLAYING f
 
%% Model derivatives fx11, fx11p, fy, fyp
if getDeriv == 1
% START DISPLAYING fx11
fx11(7,1)=-exp(-k1_cup)*exp(k1_cu)*(DELTA - 1);
fx11(13,1)=(PHI*exp(-k1_cu)*exp(-la_cu)*exp(iv1_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k1_cu)*exp(iv1_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k1_cup)*exp(iv1_cup))*((exp(-k1_cup)*exp(iv1_cup))/2 - DELTA/2 + 1) + (exp(a1_cup)*exp(k1_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k1_cu)*exp(iv1_cu)) - 1)^2 - (PHI*exp(-k1_cu)*exp(iv1_cu))/(PHI*(DELTA - exp(-k1_cu)*exp(iv1_cu)) - 1);
fx11(19,1)=- (PHI*exp(iv1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu)) + (PHI*exp(k1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu))^2)/2 + (exp(a1_cu)*exp(k1_cu)*exp(k1_cu)^(ALFA - 1)*(BETTA - 1))/BETTA)/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu)) - (DELTA*exp(k1_cu)*((PHI*exp(k1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu))^2)/2 + (PHI*exp(k2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu))^2)/2 + (PHI*exp(k3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu))^2)/2 + (PHI*exp(k4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu))^2)/2 + (PHI*exp(k5_cu)*(DELTA - exp(-k5_cu)*exp(iv5_cu))^2)/2 + (PHI*exp(k6_cu)*(DELTA - exp(-k6_cu)*exp(iv6_cu))^2)/2 + (exp(a1_cu)*exp(k1_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a2_cu)*exp(k2_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a3_cu)*exp(k3_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a4_cu)*exp(k4_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a5_cu)*exp(k5_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a6_cu)*exp(k6_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu))^2;
fx11(8,2)=-exp(-k2_cup)*exp(k2_cu)*(DELTA - 1);
fx11(14,2)=(PHI*exp(-k2_cu)*exp(-la_cu)*exp(iv2_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k2_cu)*exp(iv2_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k2_cup)*exp(iv2_cup))*((exp(-k2_cup)*exp(iv2_cup))/2 - DELTA/2 + 1) + (exp(a2_cup)*exp(k2_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k2_cu)*exp(iv2_cu)) - 1)^2 - (PHI*exp(-k2_cu)*exp(iv2_cu))/(PHI*(DELTA - exp(-k2_cu)*exp(iv2_cu)) - 1);
fx11(19,2)=- (PHI*exp(iv2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu)) + (PHI*exp(k2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu))^2)/2 + (exp(a2_cu)*exp(k2_cu)*exp(k2_cu)^(ALFA - 1)*(BETTA - 1))/BETTA)/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu)) - (DELTA*exp(k2_cu)*((PHI*exp(k1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu))^2)/2 + (PHI*exp(k2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu))^2)/2 + (PHI*exp(k3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu))^2)/2 + (PHI*exp(k4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu))^2)/2 + (PHI*exp(k5_cu)*(DELTA - exp(-k5_cu)*exp(iv5_cu))^2)/2 + (PHI*exp(k6_cu)*(DELTA - exp(-k6_cu)*exp(iv6_cu))^2)/2 + (exp(a1_cu)*exp(k1_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a2_cu)*exp(k2_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a3_cu)*exp(k3_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a4_cu)*exp(k4_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a5_cu)*exp(k5_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a6_cu)*exp(k6_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu))^2;
fx11(9,3)=-exp(-k3_cup)*exp(k3_cu)*(DELTA - 1);
fx11(15,3)=(PHI*exp(-k3_cu)*exp(-la_cu)*exp(iv3_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k3_cu)*exp(iv3_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k3_cup)*exp(iv3_cup))*((exp(-k3_cup)*exp(iv3_cup))/2 - DELTA/2 + 1) + (exp(a3_cup)*exp(k3_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k3_cu)*exp(iv3_cu)) - 1)^2 - (PHI*exp(-k3_cu)*exp(iv3_cu))/(PHI*(DELTA - exp(-k3_cu)*exp(iv3_cu)) - 1);
fx11(19,3)=- (PHI*exp(iv3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu)) + (PHI*exp(k3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu))^2)/2 + (exp(a3_cu)*exp(k3_cu)*exp(k3_cu)^(ALFA - 1)*(BETTA - 1))/BETTA)/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu)) - (DELTA*exp(k3_cu)*((PHI*exp(k1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu))^2)/2 + (PHI*exp(k2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu))^2)/2 + (PHI*exp(k3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu))^2)/2 + (PHI*exp(k4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu))^2)/2 + (PHI*exp(k5_cu)*(DELTA - exp(-k5_cu)*exp(iv5_cu))^2)/2 + (PHI*exp(k6_cu)*(DELTA - exp(-k6_cu)*exp(iv6_cu))^2)/2 + (exp(a1_cu)*exp(k1_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a2_cu)*exp(k2_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a3_cu)*exp(k3_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a4_cu)*exp(k4_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a5_cu)*exp(k5_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a6_cu)*exp(k6_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu))^2;
fx11(10,4)=-exp(-k4_cup)*exp(k4_cu)*(DELTA - 1);
fx11(16,4)=(PHI*exp(-k4_cu)*exp(-la_cu)*exp(iv4_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k4_cu)*exp(iv4_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k4_cup)*exp(iv4_cup))*((exp(-k4_cup)*exp(iv4_cup))/2 - DELTA/2 + 1) + (exp(a4_cup)*exp(k4_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k4_cu)*exp(iv4_cu)) - 1)^2 - (PHI*exp(-k4_cu)*exp(iv4_cu))/(PHI*(DELTA - exp(-k4_cu)*exp(iv4_cu)) - 1);
fx11(19,4)=- (PHI*exp(iv4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu)) + (PHI*exp(k4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu))^2)/2 + (exp(a4_cu)*exp(k4_cu)*exp(k4_cu)^(ALFA - 1)*(BETTA - 1))/BETTA)/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu)) - (DELTA*exp(k4_cu)*((PHI*exp(k1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu))^2)/2 + (PHI*exp(k2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu))^2)/2 + (PHI*exp(k3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu))^2)/2 + (PHI*exp(k4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu))^2)/2 + (PHI*exp(k5_cu)*(DELTA - exp(-k5_cu)*exp(iv5_cu))^2)/2 + (PHI*exp(k6_cu)*(DELTA - exp(-k6_cu)*exp(iv6_cu))^2)/2 + (exp(a1_cu)*exp(k1_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a2_cu)*exp(k2_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a3_cu)*exp(k3_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a4_cu)*exp(k4_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a5_cu)*exp(k5_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a6_cu)*exp(k6_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu))^2;
fx11(11,5)=-exp(-k5_cup)*exp(k5_cu)*(DELTA - 1);
fx11(17,5)=(PHI*exp(-k5_cu)*exp(-la_cu)*exp(iv5_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k5_cu)*exp(iv5_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k5_cup)*exp(iv5_cup))*((exp(-k5_cup)*exp(iv5_cup))/2 - DELTA/2 + 1) + (exp(a5_cup)*exp(k5_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k5_cu)*exp(iv5_cu)) - 1)^2 - (PHI*exp(-k5_cu)*exp(iv5_cu))/(PHI*(DELTA - exp(-k5_cu)*exp(iv5_cu)) - 1);
fx11(19,5)=- (PHI*exp(iv5_cu)*(DELTA - exp(-k5_cu)*exp(iv5_cu)) + (PHI*exp(k5_cu)*(DELTA - exp(-k5_cu)*exp(iv5_cu))^2)/2 + (exp(a5_cu)*exp(k5_cu)*exp(k5_cu)^(ALFA - 1)*(BETTA - 1))/BETTA)/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu)) - (DELTA*exp(k5_cu)*((PHI*exp(k1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu))^2)/2 + (PHI*exp(k2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu))^2)/2 + (PHI*exp(k3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu))^2)/2 + (PHI*exp(k4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu))^2)/2 + (PHI*exp(k5_cu)*(DELTA - exp(-k5_cu)*exp(iv5_cu))^2)/2 + (PHI*exp(k6_cu)*(DELTA - exp(-k6_cu)*exp(iv6_cu))^2)/2 + (exp(a1_cu)*exp(k1_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a2_cu)*exp(k2_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a3_cu)*exp(k3_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a4_cu)*exp(k4_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a5_cu)*exp(k5_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a6_cu)*exp(k6_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu))^2;
fx11(12,6)=-exp(-k6_cup)*exp(k6_cu)*(DELTA - 1);
fx11(18,6)=(PHI*exp(-k6_cu)*exp(-la_cu)*exp(iv6_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k6_cu)*exp(iv6_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k6_cup)*exp(iv6_cup))*((exp(-k6_cup)*exp(iv6_cup))/2 - DELTA/2 + 1) + (exp(a6_cup)*exp(k6_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k6_cu)*exp(iv6_cu)) - 1)^2 - (PHI*exp(-k6_cu)*exp(iv6_cu))/(PHI*(DELTA - exp(-k6_cu)*exp(iv6_cu)) - 1);
fx11(19,6)=- (PHI*exp(iv6_cu)*(DELTA - exp(-k6_cu)*exp(iv6_cu)) + (PHI*exp(k6_cu)*(DELTA - exp(-k6_cu)*exp(iv6_cu))^2)/2 + (exp(a6_cu)*exp(k6_cu)*exp(k6_cu)^(ALFA - 1)*(BETTA - 1))/BETTA)/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu)) - (DELTA*exp(k6_cu)*((PHI*exp(k1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu))^2)/2 + (PHI*exp(k2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu))^2)/2 + (PHI*exp(k3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu))^2)/2 + (PHI*exp(k4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu))^2)/2 + (PHI*exp(k5_cu)*(DELTA - exp(-k5_cu)*exp(iv5_cu))^2)/2 + (PHI*exp(k6_cu)*(DELTA - exp(-k6_cu)*exp(iv6_cu))^2)/2 + (exp(a1_cu)*exp(k1_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a2_cu)*exp(k2_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a3_cu)*exp(k3_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a4_cu)*exp(k4_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a5_cu)*exp(k5_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a6_cu)*exp(k6_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu))^2;
% END DISPLAYING fx11
if t == 1;
    fx11  = zeros(ny+mx,mx);
end
 
% START DISPLAYING fx11p
fx11p(7,1)=-exp(-k1_cup)*(exp(iv1_cu) - exp(k1_cu)*(DELTA - 1));
fx11p(13,1)=(BETTA*exp(-la_cu)*exp(la_cup)*(PHI*exp(-k1_cup)*exp(iv1_cup)*((exp(-k1_cup)*exp(iv1_cup))/2 - DELTA/2 + 1) - (PHI*exp(-k1_cup)*exp(iv1_cup)*(DELTA - exp(-k1_cup)*exp(iv1_cup)))/2 + (exp(a1_cup)*exp(k1_cup)*exp(k1_cup)^(ALFA - 2)*(ALFA - 1)*(BETTA - 1))/BETTA))/(PHI*(DELTA - exp(-k1_cu)*exp(iv1_cu)) - 1);
fx11p(8,2)=-exp(-k2_cup)*(exp(iv2_cu) - exp(k2_cu)*(DELTA - 1));
fx11p(14,2)=(BETTA*exp(-la_cu)*exp(la_cup)*(PHI*exp(-k2_cup)*exp(iv2_cup)*((exp(-k2_cup)*exp(iv2_cup))/2 - DELTA/2 + 1) - (PHI*exp(-k2_cup)*exp(iv2_cup)*(DELTA - exp(-k2_cup)*exp(iv2_cup)))/2 + (exp(a2_cup)*exp(k2_cup)*exp(k2_cup)^(ALFA - 2)*(ALFA - 1)*(BETTA - 1))/BETTA))/(PHI*(DELTA - exp(-k2_cu)*exp(iv2_cu)) - 1);
fx11p(9,3)=-exp(-k3_cup)*(exp(iv3_cu) - exp(k3_cu)*(DELTA - 1));
fx11p(15,3)=(BETTA*exp(-la_cu)*exp(la_cup)*(PHI*exp(-k3_cup)*exp(iv3_cup)*((exp(-k3_cup)*exp(iv3_cup))/2 - DELTA/2 + 1) - (PHI*exp(-k3_cup)*exp(iv3_cup)*(DELTA - exp(-k3_cup)*exp(iv3_cup)))/2 + (exp(a3_cup)*exp(k3_cup)*exp(k3_cup)^(ALFA - 2)*(ALFA - 1)*(BETTA - 1))/BETTA))/(PHI*(DELTA - exp(-k3_cu)*exp(iv3_cu)) - 1);
fx11p(10,4)=-exp(-k4_cup)*(exp(iv4_cu) - exp(k4_cu)*(DELTA - 1));
fx11p(16,4)=(BETTA*exp(-la_cu)*exp(la_cup)*(PHI*exp(-k4_cup)*exp(iv4_cup)*((exp(-k4_cup)*exp(iv4_cup))/2 - DELTA/2 + 1) - (PHI*exp(-k4_cup)*exp(iv4_cup)*(DELTA - exp(-k4_cup)*exp(iv4_cup)))/2 + (exp(a4_cup)*exp(k4_cup)*exp(k4_cup)^(ALFA - 2)*(ALFA - 1)*(BETTA - 1))/BETTA))/(PHI*(DELTA - exp(-k4_cu)*exp(iv4_cu)) - 1);
fx11p(11,5)=-exp(-k5_cup)*(exp(iv5_cu) - exp(k5_cu)*(DELTA - 1));
fx11p(17,5)=(BETTA*exp(-la_cu)*exp(la_cup)*(PHI*exp(-k5_cup)*exp(iv5_cup)*((exp(-k5_cup)*exp(iv5_cup))/2 - DELTA/2 + 1) - (PHI*exp(-k5_cup)*exp(iv5_cup)*(DELTA - exp(-k5_cup)*exp(iv5_cup)))/2 + (exp(a5_cup)*exp(k5_cup)*exp(k5_cup)^(ALFA - 2)*(ALFA - 1)*(BETTA - 1))/BETTA))/(PHI*(DELTA - exp(-k5_cu)*exp(iv5_cu)) - 1);
fx11p(12,6)=-exp(-k6_cup)*(exp(iv6_cu) - exp(k6_cu)*(DELTA - 1));
fx11p(18,6)=(BETTA*exp(-la_cu)*exp(la_cup)*(PHI*exp(-k6_cup)*exp(iv6_cup)*((exp(-k6_cup)*exp(iv6_cup))/2 - DELTA/2 + 1) - (PHI*exp(-k6_cup)*exp(iv6_cup)*(DELTA - exp(-k6_cup)*exp(iv6_cup)))/2 + (exp(a6_cup)*exp(k6_cup)*exp(k6_cup)^(ALFA - 2)*(ALFA - 1)*(BETTA - 1))/BETTA))/(PHI*(DELTA - exp(-k6_cu)*exp(iv6_cu)) - 1);
% END DISPLAYING fx11p
 
 
% START DISPLAYING fy
fy(1,1)=-(exp(-la_cu)*exp(c1_cu)*(-(BETTA - 1)/(ALFA*BETTA))^(1/GAMA))/(GAMA*exp(c1_cu)^(1/GAMA + 1));
fy(19,1)=(exp(c1_cu)*((PHI*exp(k1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu))^2)/2 + (PHI*exp(k2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu))^2)/2 + (PHI*exp(k3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu))^2)/2 + (PHI*exp(k4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu))^2)/2 + (PHI*exp(k5_cu)*(DELTA - exp(-k5_cu)*exp(iv5_cu))^2)/2 + (PHI*exp(k6_cu)*(DELTA - exp(-k6_cu)*exp(iv6_cu))^2)/2 + (exp(a1_cu)*exp(k1_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a2_cu)*exp(k2_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a3_cu)*exp(k3_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a4_cu)*exp(k4_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a5_cu)*exp(k5_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a6_cu)*exp(k6_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu))^2;
fy(2,2)=-(exp(-la_cu)*exp(c2_cu)*(-(BETTA - 1)/(ALFA*BETTA))^(1/GAMA))/(GAMA*exp(c2_cu)^(1/GAMA + 1));
fy(19,2)=(exp(c2_cu)*((PHI*exp(k1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu))^2)/2 + (PHI*exp(k2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu))^2)/2 + (PHI*exp(k3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu))^2)/2 + (PHI*exp(k4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu))^2)/2 + (PHI*exp(k5_cu)*(DELTA - exp(-k5_cu)*exp(iv5_cu))^2)/2 + (PHI*exp(k6_cu)*(DELTA - exp(-k6_cu)*exp(iv6_cu))^2)/2 + (exp(a1_cu)*exp(k1_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a2_cu)*exp(k2_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a3_cu)*exp(k3_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a4_cu)*exp(k4_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a5_cu)*exp(k5_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a6_cu)*exp(k6_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu))^2;
fy(3,3)=-(exp(-la_cu)*exp(c3_cu)*(-(BETTA - 1)/(ALFA*BETTA))^(1/GAMA))/(GAMA*exp(c3_cu)^(1/GAMA + 1));
fy(19,3)=(exp(c3_cu)*((PHI*exp(k1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu))^2)/2 + (PHI*exp(k2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu))^2)/2 + (PHI*exp(k3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu))^2)/2 + (PHI*exp(k4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu))^2)/2 + (PHI*exp(k5_cu)*(DELTA - exp(-k5_cu)*exp(iv5_cu))^2)/2 + (PHI*exp(k6_cu)*(DELTA - exp(-k6_cu)*exp(iv6_cu))^2)/2 + (exp(a1_cu)*exp(k1_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a2_cu)*exp(k2_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a3_cu)*exp(k3_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a4_cu)*exp(k4_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a5_cu)*exp(k5_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a6_cu)*exp(k6_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu))^2;
fy(4,4)=-(exp(-la_cu)*exp(c4_cu)*(-(BETTA - 1)/(ALFA*BETTA))^(1/GAMA))/(GAMA*exp(c4_cu)^(1/GAMA + 1));
fy(19,4)=(exp(c4_cu)*((PHI*exp(k1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu))^2)/2 + (PHI*exp(k2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu))^2)/2 + (PHI*exp(k3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu))^2)/2 + (PHI*exp(k4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu))^2)/2 + (PHI*exp(k5_cu)*(DELTA - exp(-k5_cu)*exp(iv5_cu))^2)/2 + (PHI*exp(k6_cu)*(DELTA - exp(-k6_cu)*exp(iv6_cu))^2)/2 + (exp(a1_cu)*exp(k1_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a2_cu)*exp(k2_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a3_cu)*exp(k3_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a4_cu)*exp(k4_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a5_cu)*exp(k5_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a6_cu)*exp(k6_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu))^2;
fy(5,5)=-(exp(-la_cu)*exp(c5_cu)*(-(BETTA - 1)/(ALFA*BETTA))^(1/GAMA))/(GAMA*exp(c5_cu)^(1/GAMA + 1));
fy(19,5)=(exp(c5_cu)*((PHI*exp(k1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu))^2)/2 + (PHI*exp(k2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu))^2)/2 + (PHI*exp(k3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu))^2)/2 + (PHI*exp(k4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu))^2)/2 + (PHI*exp(k5_cu)*(DELTA - exp(-k5_cu)*exp(iv5_cu))^2)/2 + (PHI*exp(k6_cu)*(DELTA - exp(-k6_cu)*exp(iv6_cu))^2)/2 + (exp(a1_cu)*exp(k1_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a2_cu)*exp(k2_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a3_cu)*exp(k3_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a4_cu)*exp(k4_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a5_cu)*exp(k5_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a6_cu)*exp(k6_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu))^2;
fy(6,6)=-(exp(-la_cu)*exp(c6_cu)*(-(BETTA - 1)/(ALFA*BETTA))^(1/GAMA))/(GAMA*exp(c6_cu)^(1/GAMA + 1));
fy(19,6)=(exp(c6_cu)*((PHI*exp(k1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu))^2)/2 + (PHI*exp(k2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu))^2)/2 + (PHI*exp(k3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu))^2)/2 + (PHI*exp(k4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu))^2)/2 + (PHI*exp(k5_cu)*(DELTA - exp(-k5_cu)*exp(iv5_cu))^2)/2 + (PHI*exp(k6_cu)*(DELTA - exp(-k6_cu)*exp(iv6_cu))^2)/2 + (exp(a1_cu)*exp(k1_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a2_cu)*exp(k2_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a3_cu)*exp(k3_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a4_cu)*exp(k4_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a5_cu)*exp(k5_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a6_cu)*exp(k6_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu))^2;
fy(7,7)=exp(-k1_cup)*exp(iv1_cu);
fy(13,7)=(PHI*exp(-k1_cu)*exp(iv1_cu))/(PHI*(DELTA - exp(-k1_cu)*exp(iv1_cu)) - 1) - (PHI*exp(-k1_cu)*exp(-la_cu)*exp(iv1_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k1_cu)*exp(iv1_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k1_cup)*exp(iv1_cup))*((exp(-k1_cup)*exp(iv1_cup))/2 - DELTA/2 + 1) + (exp(a1_cup)*exp(k1_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k1_cu)*exp(iv1_cu)) - 1)^2;
fy(19,7)=(exp(iv1_cu)*((PHI*exp(k1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu))^2)/2 + (PHI*exp(k2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu))^2)/2 + (PHI*exp(k3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu))^2)/2 + (PHI*exp(k4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu))^2)/2 + (PHI*exp(k5_cu)*(DELTA - exp(-k5_cu)*exp(iv5_cu))^2)/2 + (PHI*exp(k6_cu)*(DELTA - exp(-k6_cu)*exp(iv6_cu))^2)/2 + (exp(a1_cu)*exp(k1_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a2_cu)*exp(k2_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a3_cu)*exp(k3_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a4_cu)*exp(k4_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a5_cu)*exp(k5_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a6_cu)*exp(k6_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu))^2 + (PHI*exp(iv1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu));
fy(8,8)=exp(-k2_cup)*exp(iv2_cu);
fy(14,8)=(PHI*exp(-k2_cu)*exp(iv2_cu))/(PHI*(DELTA - exp(-k2_cu)*exp(iv2_cu)) - 1) - (PHI*exp(-k2_cu)*exp(-la_cu)*exp(iv2_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k2_cu)*exp(iv2_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k2_cup)*exp(iv2_cup))*((exp(-k2_cup)*exp(iv2_cup))/2 - DELTA/2 + 1) + (exp(a2_cup)*exp(k2_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k2_cu)*exp(iv2_cu)) - 1)^2;
fy(19,8)=(exp(iv2_cu)*((PHI*exp(k1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu))^2)/2 + (PHI*exp(k2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu))^2)/2 + (PHI*exp(k3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu))^2)/2 + (PHI*exp(k4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu))^2)/2 + (PHI*exp(k5_cu)*(DELTA - exp(-k5_cu)*exp(iv5_cu))^2)/2 + (PHI*exp(k6_cu)*(DELTA - exp(-k6_cu)*exp(iv6_cu))^2)/2 + (exp(a1_cu)*exp(k1_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a2_cu)*exp(k2_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a3_cu)*exp(k3_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a4_cu)*exp(k4_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a5_cu)*exp(k5_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a6_cu)*exp(k6_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu))^2 + (PHI*exp(iv2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu));
fy(9,9)=exp(-k3_cup)*exp(iv3_cu);
fy(15,9)=(PHI*exp(-k3_cu)*exp(iv3_cu))/(PHI*(DELTA - exp(-k3_cu)*exp(iv3_cu)) - 1) - (PHI*exp(-k3_cu)*exp(-la_cu)*exp(iv3_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k3_cu)*exp(iv3_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k3_cup)*exp(iv3_cup))*((exp(-k3_cup)*exp(iv3_cup))/2 - DELTA/2 + 1) + (exp(a3_cup)*exp(k3_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k3_cu)*exp(iv3_cu)) - 1)^2;
fy(19,9)=(exp(iv3_cu)*((PHI*exp(k1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu))^2)/2 + (PHI*exp(k2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu))^2)/2 + (PHI*exp(k3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu))^2)/2 + (PHI*exp(k4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu))^2)/2 + (PHI*exp(k5_cu)*(DELTA - exp(-k5_cu)*exp(iv5_cu))^2)/2 + (PHI*exp(k6_cu)*(DELTA - exp(-k6_cu)*exp(iv6_cu))^2)/2 + (exp(a1_cu)*exp(k1_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a2_cu)*exp(k2_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a3_cu)*exp(k3_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a4_cu)*exp(k4_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a5_cu)*exp(k5_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a6_cu)*exp(k6_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu))^2 + (PHI*exp(iv3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu));
fy(10,10)=exp(-k4_cup)*exp(iv4_cu);
fy(16,10)=(PHI*exp(-k4_cu)*exp(iv4_cu))/(PHI*(DELTA - exp(-k4_cu)*exp(iv4_cu)) - 1) - (PHI*exp(-k4_cu)*exp(-la_cu)*exp(iv4_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k4_cu)*exp(iv4_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k4_cup)*exp(iv4_cup))*((exp(-k4_cup)*exp(iv4_cup))/2 - DELTA/2 + 1) + (exp(a4_cup)*exp(k4_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k4_cu)*exp(iv4_cu)) - 1)^2;
fy(19,10)=(exp(iv4_cu)*((PHI*exp(k1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu))^2)/2 + (PHI*exp(k2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu))^2)/2 + (PHI*exp(k3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu))^2)/2 + (PHI*exp(k4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu))^2)/2 + (PHI*exp(k5_cu)*(DELTA - exp(-k5_cu)*exp(iv5_cu))^2)/2 + (PHI*exp(k6_cu)*(DELTA - exp(-k6_cu)*exp(iv6_cu))^2)/2 + (exp(a1_cu)*exp(k1_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a2_cu)*exp(k2_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a3_cu)*exp(k3_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a4_cu)*exp(k4_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a5_cu)*exp(k5_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a6_cu)*exp(k6_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu))^2 + (PHI*exp(iv4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu));
fy(11,11)=exp(-k5_cup)*exp(iv5_cu);
fy(17,11)=(PHI*exp(-k5_cu)*exp(iv5_cu))/(PHI*(DELTA - exp(-k5_cu)*exp(iv5_cu)) - 1) - (PHI*exp(-k5_cu)*exp(-la_cu)*exp(iv5_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k5_cu)*exp(iv5_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k5_cup)*exp(iv5_cup))*((exp(-k5_cup)*exp(iv5_cup))/2 - DELTA/2 + 1) + (exp(a5_cup)*exp(k5_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k5_cu)*exp(iv5_cu)) - 1)^2;
fy(19,11)=(exp(iv5_cu)*((PHI*exp(k1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu))^2)/2 + (PHI*exp(k2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu))^2)/2 + (PHI*exp(k3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu))^2)/2 + (PHI*exp(k4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu))^2)/2 + (PHI*exp(k5_cu)*(DELTA - exp(-k5_cu)*exp(iv5_cu))^2)/2 + (PHI*exp(k6_cu)*(DELTA - exp(-k6_cu)*exp(iv6_cu))^2)/2 + (exp(a1_cu)*exp(k1_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a2_cu)*exp(k2_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a3_cu)*exp(k3_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a4_cu)*exp(k4_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a5_cu)*exp(k5_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a6_cu)*exp(k6_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu))^2 + (PHI*exp(iv5_cu)*(DELTA - exp(-k5_cu)*exp(iv5_cu)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu));
fy(12,12)=exp(-k6_cup)*exp(iv6_cu);
fy(18,12)=(PHI*exp(-k6_cu)*exp(iv6_cu))/(PHI*(DELTA - exp(-k6_cu)*exp(iv6_cu)) - 1) - (PHI*exp(-k6_cu)*exp(-la_cu)*exp(iv6_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k6_cu)*exp(iv6_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k6_cup)*exp(iv6_cup))*((exp(-k6_cup)*exp(iv6_cup))/2 - DELTA/2 + 1) + (exp(a6_cup)*exp(k6_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k6_cu)*exp(iv6_cu)) - 1)^2;
fy(19,12)=(exp(iv6_cu)*((PHI*exp(k1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu))^2)/2 + (PHI*exp(k2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu))^2)/2 + (PHI*exp(k3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu))^2)/2 + (PHI*exp(k4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu))^2)/2 + (PHI*exp(k5_cu)*(DELTA - exp(-k5_cu)*exp(iv5_cu))^2)/2 + (PHI*exp(k6_cu)*(DELTA - exp(-k6_cu)*exp(iv6_cu))^2)/2 + (exp(a1_cu)*exp(k1_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a2_cu)*exp(k2_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a3_cu)*exp(k3_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a4_cu)*exp(k4_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a5_cu)*exp(k5_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a6_cu)*exp(k6_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu))^2 + (PHI*exp(iv6_cu)*(DELTA - exp(-k6_cu)*exp(iv6_cu)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu));
fy(1,13)=-(exp(-la_cu)*(-(BETTA - 1)/(ALFA*BETTA))^(1/GAMA))/exp(c1_cu)^(1/GAMA);
fy(2,13)=-(exp(-la_cu)*(-(BETTA - 1)/(ALFA*BETTA))^(1/GAMA))/exp(c2_cu)^(1/GAMA);
fy(3,13)=-(exp(-la_cu)*(-(BETTA - 1)/(ALFA*BETTA))^(1/GAMA))/exp(c3_cu)^(1/GAMA);
fy(4,13)=-(exp(-la_cu)*(-(BETTA - 1)/(ALFA*BETTA))^(1/GAMA))/exp(c4_cu)^(1/GAMA);
fy(5,13)=-(exp(-la_cu)*(-(BETTA - 1)/(ALFA*BETTA))^(1/GAMA))/exp(c5_cu)^(1/GAMA);
fy(6,13)=-(exp(-la_cu)*(-(BETTA - 1)/(ALFA*BETTA))^(1/GAMA))/exp(c6_cu)^(1/GAMA);
fy(13,13)=(exp(-la_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k1_cu)*exp(iv1_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k1_cup)*exp(iv1_cup))*((exp(-k1_cup)*exp(iv1_cup))/2 - DELTA/2 + 1) + (exp(a1_cup)*exp(k1_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k1_cu)*exp(iv1_cu)) - 1) - 1;
fy(14,13)=(exp(-la_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k2_cu)*exp(iv2_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k2_cup)*exp(iv2_cup))*((exp(-k2_cup)*exp(iv2_cup))/2 - DELTA/2 + 1) + (exp(a2_cup)*exp(k2_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k2_cu)*exp(iv2_cu)) - 1) - 1;
fy(15,13)=(exp(-la_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k3_cu)*exp(iv3_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k3_cup)*exp(iv3_cup))*((exp(-k3_cup)*exp(iv3_cup))/2 - DELTA/2 + 1) + (exp(a3_cup)*exp(k3_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k3_cu)*exp(iv3_cu)) - 1) - 1;
fy(16,13)=(exp(-la_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k4_cu)*exp(iv4_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k4_cup)*exp(iv4_cup))*((exp(-k4_cup)*exp(iv4_cup))/2 - DELTA/2 + 1) + (exp(a4_cup)*exp(k4_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k4_cu)*exp(iv4_cu)) - 1) - 1;
fy(17,13)=(exp(-la_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k5_cu)*exp(iv5_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k5_cup)*exp(iv5_cup))*((exp(-k5_cup)*exp(iv5_cup))/2 - DELTA/2 + 1) + (exp(a5_cup)*exp(k5_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k5_cu)*exp(iv5_cu)) - 1) - 1;
fy(18,13)=(exp(-la_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k6_cu)*exp(iv6_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k6_cup)*exp(iv6_cup))*((exp(-k6_cup)*exp(iv6_cup))/2 - DELTA/2 + 1) + (exp(a6_cup)*exp(k6_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k6_cu)*exp(iv6_cu)) - 1) - 1;
% END DISPLAYING fy
 
% START DISPLAYING fx12
% END DISPLAYING fx12
if t < N
% START DISPLAYING fyp
fyp(13,7)=-(BETTA*exp(-la_cu)*exp(la_cup)*(PHI*exp(-k1_cup)*exp(iv1_cup)*((exp(-k1_cup)*exp(iv1_cup))/2 - DELTA/2 + 1) - (PHI*exp(-k1_cup)*exp(iv1_cup)*(DELTA - exp(-k1_cup)*exp(iv1_cup)))/2))/(PHI*(DELTA - exp(-k1_cu)*exp(iv1_cu)) - 1);
fyp(14,8)=-(BETTA*exp(-la_cu)*exp(la_cup)*(PHI*exp(-k2_cup)*exp(iv2_cup)*((exp(-k2_cup)*exp(iv2_cup))/2 - DELTA/2 + 1) - (PHI*exp(-k2_cup)*exp(iv2_cup)*(DELTA - exp(-k2_cup)*exp(iv2_cup)))/2))/(PHI*(DELTA - exp(-k2_cu)*exp(iv2_cu)) - 1);
fyp(15,9)=-(BETTA*exp(-la_cu)*exp(la_cup)*(PHI*exp(-k3_cup)*exp(iv3_cup)*((exp(-k3_cup)*exp(iv3_cup))/2 - DELTA/2 + 1) - (PHI*exp(-k3_cup)*exp(iv3_cup)*(DELTA - exp(-k3_cup)*exp(iv3_cup)))/2))/(PHI*(DELTA - exp(-k3_cu)*exp(iv3_cu)) - 1);
fyp(16,10)=-(BETTA*exp(-la_cu)*exp(la_cup)*(PHI*exp(-k4_cup)*exp(iv4_cup)*((exp(-k4_cup)*exp(iv4_cup))/2 - DELTA/2 + 1) - (PHI*exp(-k4_cup)*exp(iv4_cup)*(DELTA - exp(-k4_cup)*exp(iv4_cup)))/2))/(PHI*(DELTA - exp(-k4_cu)*exp(iv4_cu)) - 1);
fyp(17,11)=-(BETTA*exp(-la_cu)*exp(la_cup)*(PHI*exp(-k5_cup)*exp(iv5_cup)*((exp(-k5_cup)*exp(iv5_cup))/2 - DELTA/2 + 1) - (PHI*exp(-k5_cup)*exp(iv5_cup)*(DELTA - exp(-k5_cup)*exp(iv5_cup)))/2))/(PHI*(DELTA - exp(-k5_cu)*exp(iv5_cu)) - 1);
fyp(18,12)=-(BETTA*exp(-la_cu)*exp(la_cup)*(PHI*exp(-k6_cup)*exp(iv6_cup)*((exp(-k6_cup)*exp(iv6_cup))/2 - DELTA/2 + 1) - (PHI*exp(-k6_cup)*exp(iv6_cup)*(DELTA - exp(-k6_cup)*exp(iv6_cup)))/2))/(PHI*(DELTA - exp(-k6_cu)*exp(iv6_cu)) - 1);
fyp(13,13)=(BETTA*exp(-la_cu)*exp(la_cup)*(PHI*(DELTA - exp(-k1_cup)*exp(iv1_cup))*((exp(-k1_cup)*exp(iv1_cup))/2 - DELTA/2 + 1) + (exp(a1_cup)*exp(k1_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1))/(PHI*(DELTA - exp(-k1_cu)*exp(iv1_cu)) - 1);
fyp(14,13)=(BETTA*exp(-la_cu)*exp(la_cup)*(PHI*(DELTA - exp(-k2_cup)*exp(iv2_cup))*((exp(-k2_cup)*exp(iv2_cup))/2 - DELTA/2 + 1) + (exp(a2_cup)*exp(k2_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1))/(PHI*(DELTA - exp(-k2_cu)*exp(iv2_cu)) - 1);
fyp(15,13)=(BETTA*exp(-la_cu)*exp(la_cup)*(PHI*(DELTA - exp(-k3_cup)*exp(iv3_cup))*((exp(-k3_cup)*exp(iv3_cup))/2 - DELTA/2 + 1) + (exp(a3_cup)*exp(k3_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1))/(PHI*(DELTA - exp(-k3_cu)*exp(iv3_cu)) - 1);
fyp(16,13)=(BETTA*exp(-la_cu)*exp(la_cup)*(PHI*(DELTA - exp(-k4_cup)*exp(iv4_cup))*((exp(-k4_cup)*exp(iv4_cup))/2 - DELTA/2 + 1) + (exp(a4_cup)*exp(k4_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1))/(PHI*(DELTA - exp(-k4_cu)*exp(iv4_cu)) - 1);
fyp(17,13)=(BETTA*exp(-la_cu)*exp(la_cup)*(PHI*(DELTA - exp(-k5_cup)*exp(iv5_cup))*((exp(-k5_cup)*exp(iv5_cup))/2 - DELTA/2 + 1) + (exp(a5_cup)*exp(k5_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1))/(PHI*(DELTA - exp(-k5_cu)*exp(iv5_cu)) - 1);
fyp(18,13)=(BETTA*exp(-la_cu)*exp(la_cup)*(PHI*(DELTA - exp(-k6_cup)*exp(iv6_cup))*((exp(-k6_cup)*exp(iv6_cup))/2 - DELTA/2 + 1) + (exp(a6_cup)*exp(k6_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1))/(PHI*(DELTA - exp(-k6_cu)*exp(iv6_cu)) - 1);
% END DISPLAYING fyp
end
end
