function [f,fx11,fx11p,fy,fyp,fx12] = getModelDeriv_EP(nx,mx,myx,ny,params,N,h0,g0,x,y,t,getDeriv)
 
%Unfold params
DELTA= params.DELTA;
BETTA= params.BETTA;
GAMA= params.GAMA;
PHI= params.PHI;
ALFA= params.ALFA;
RHOA= params.RHOA;
 
% Current values in the model;
% x(N,mx) y(N,ny);
% x;
k1_cu = x(t,1)+h0(1,1);
k2_cu = x(t,2)+h0(2,1);
k3_cu = x(t,3)+h0(3,1);
k4_cu = x(t,4)+h0(4,1);
k5_cu = x(t,5)+h0(5,1);
k6_cu = x(t,6)+h0(6,1);
k7_cu = x(t,7)+h0(7,1);
k8_cu = x(t,8)+h0(8,1);
a1_cu = x(t,9)+h0(9,1);
a2_cu = x(t,10)+h0(10,1);
a3_cu = x(t,11)+h0(11,1);
a4_cu = x(t,12)+h0(12,1);
a5_cu = x(t,13)+h0(13,1);
a6_cu = x(t,14)+h0(14,1);
a7_cu = x(t,15)+h0(15,1);
a8_cu = x(t,16)+h0(16,1);
% xp;
k1_cup = x(t+1,1)+h0(1,1);
k2_cup = x(t+1,2)+h0(2,1);
k3_cup = x(t+1,3)+h0(3,1);
k4_cup = x(t+1,4)+h0(4,1);
k5_cup = x(t+1,5)+h0(5,1);
k6_cup = x(t+1,6)+h0(6,1);
k7_cup = x(t+1,7)+h0(7,1);
k8_cup = x(t+1,8)+h0(8,1);
a1_cup = x(t+1,9)+h0(9,1);
a2_cup = x(t+1,10)+h0(10,1);
a3_cup = x(t+1,11)+h0(11,1);
a4_cup = x(t+1,12)+h0(12,1);
a5_cup = x(t+1,13)+h0(13,1);
a6_cup = x(t+1,14)+h0(14,1);
a7_cup = x(t+1,15)+h0(15,1);
a8_cup = x(t+1,16)+h0(16,1);
 
% y
c1_cu = y(t,1)+g0(1,1);
c2_cu = y(t,2)+g0(2,1);
c3_cu = y(t,3)+g0(3,1);
c4_cu = y(t,4)+g0(4,1);
c5_cu = y(t,5)+g0(5,1);
c6_cu = y(t,6)+g0(6,1);
c7_cu = y(t,7)+g0(7,1);
c8_cu = y(t,8)+g0(8,1);
iv1_cu = y(t,9)+g0(9,1);
iv2_cu = y(t,10)+g0(10,1);
iv3_cu = y(t,11)+g0(11,1);
iv4_cu = y(t,12)+g0(12,1);
iv5_cu = y(t,13)+g0(13,1);
iv6_cu = y(t,14)+g0(14,1);
iv7_cu = y(t,15)+g0(15,1);
iv8_cu = y(t,16)+g0(16,1);
la_cu = y(t,17)+g0(17,1);
% yp;
c1_cup = y(t+1,1)+g0(1,1);
c2_cup = y(t+1,2)+g0(2,1);
c3_cup = y(t+1,3)+g0(3,1);
c4_cup = y(t+1,4)+g0(4,1);
c5_cup = y(t+1,5)+g0(5,1);
c6_cup = y(t+1,6)+g0(6,1);
c7_cup = y(t+1,7)+g0(7,1);
c8_cup = y(t+1,8)+g0(8,1);
iv1_cup = y(t+1,9)+g0(9,1);
iv2_cup = y(t+1,10)+g0(10,1);
iv3_cup = y(t+1,11)+g0(11,1);
iv4_cup = y(t+1,12)+g0(12,1);
iv5_cup = y(t+1,13)+g0(13,1);
iv6_cup = y(t+1,14)+g0(14,1);
iv7_cup = y(t+1,15)+g0(15,1);
iv8_cup = y(t+1,16)+g0(16,1);
la_cup = y(t+1,17)+g0(17,1);
 
%% Setting the dimension of the matrices 
fx11  = zeros(ny+mx,mx);
fx11p = zeros(ny+mx,mx);
fy   = zeros(mx+ny,ny);
fyp  = zeros(mx+ny,ny);
fx12 = zeros(mx+ny,myx);
 
%% f Function evaluation
% START DISPLAYING f
f(1,1)=(exp(-la_cu)*(-(BETTA - 1)/(ALFA*BETTA))^(1/GAMA))/exp(c1_cu)^(1/GAMA) - 1;
f(2,1)=(exp(-la_cu)*(-(BETTA - 1)/(ALFA*BETTA))^(1/GAMA))/exp(c2_cu)^(1/GAMA) - 1;
f(3,1)=(exp(-la_cu)*(-(BETTA - 1)/(ALFA*BETTA))^(1/GAMA))/exp(c3_cu)^(1/GAMA) - 1;
f(4,1)=(exp(-la_cu)*(-(BETTA - 1)/(ALFA*BETTA))^(1/GAMA))/exp(c4_cu)^(1/GAMA) - 1;
f(5,1)=(exp(-la_cu)*(-(BETTA - 1)/(ALFA*BETTA))^(1/GAMA))/exp(c5_cu)^(1/GAMA) - 1;
f(6,1)=(exp(-la_cu)*(-(BETTA - 1)/(ALFA*BETTA))^(1/GAMA))/exp(c6_cu)^(1/GAMA) - 1;
f(7,1)=(exp(-la_cu)*(-(BETTA - 1)/(ALFA*BETTA))^(1/GAMA))/exp(c7_cu)^(1/GAMA) - 1;
f(8,1)=(exp(-la_cu)*(-(BETTA - 1)/(ALFA*BETTA))^(1/GAMA))/exp(c8_cu)^(1/GAMA) - 1;
f(9,1)=exp(-k1_cup)*(exp(iv1_cu) - exp(k1_cu)*(DELTA - 1)) - 1;
f(10,1)=exp(-k2_cup)*(exp(iv2_cu) - exp(k2_cu)*(DELTA - 1)) - 1;
f(11,1)=exp(-k3_cup)*(exp(iv3_cu) - exp(k3_cu)*(DELTA - 1)) - 1;
f(12,1)=exp(-k4_cup)*(exp(iv4_cu) - exp(k4_cu)*(DELTA - 1)) - 1;
f(13,1)=exp(-k5_cup)*(exp(iv5_cu) - exp(k5_cu)*(DELTA - 1)) - 1;
f(14,1)=exp(-k6_cup)*(exp(iv6_cu) - exp(k6_cu)*(DELTA - 1)) - 1;
f(15,1)=exp(-k7_cup)*(exp(iv7_cu) - exp(k7_cu)*(DELTA - 1)) - 1;
f(16,1)=exp(-k8_cup)*(exp(iv8_cu) - exp(k8_cu)*(DELTA - 1)) - 1;
f(17,1)=-(exp(-la_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k1_cu)*exp(iv1_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k1_cup)*exp(iv1_cup))*((exp(-k1_cup)*exp(iv1_cup))/2 - DELTA/2 + 1) + (exp(a1_cup)*exp(k1_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k1_cu)*exp(iv1_cu)) - 1);
f(18,1)=-(exp(-la_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k2_cu)*exp(iv2_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k2_cup)*exp(iv2_cup))*((exp(-k2_cup)*exp(iv2_cup))/2 - DELTA/2 + 1) + (exp(a2_cup)*exp(k2_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k2_cu)*exp(iv2_cu)) - 1);
f(19,1)=-(exp(-la_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k3_cu)*exp(iv3_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k3_cup)*exp(iv3_cup))*((exp(-k3_cup)*exp(iv3_cup))/2 - DELTA/2 + 1) + (exp(a3_cup)*exp(k3_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k3_cu)*exp(iv3_cu)) - 1);
f(20,1)=-(exp(-la_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k4_cu)*exp(iv4_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k4_cup)*exp(iv4_cup))*((exp(-k4_cup)*exp(iv4_cup))/2 - DELTA/2 + 1) + (exp(a4_cup)*exp(k4_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k4_cu)*exp(iv4_cu)) - 1);
f(21,1)=-(exp(-la_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k5_cu)*exp(iv5_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k5_cup)*exp(iv5_cup))*((exp(-k5_cup)*exp(iv5_cup))/2 - DELTA/2 + 1) + (exp(a5_cup)*exp(k5_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k5_cu)*exp(iv5_cu)) - 1);
f(22,1)=-(exp(-la_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k6_cu)*exp(iv6_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k6_cup)*exp(iv6_cup))*((exp(-k6_cup)*exp(iv6_cup))/2 - DELTA/2 + 1) + (exp(a6_cup)*exp(k6_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k6_cu)*exp(iv6_cu)) - 1);
f(23,1)=-(exp(-la_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k7_cu)*exp(iv7_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k7_cup)*exp(iv7_cup))*((exp(-k7_cup)*exp(iv7_cup))/2 - DELTA/2 + 1) + (exp(a7_cup)*exp(k7_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k7_cu)*exp(iv7_cu)) - 1);
f(24,1)=-(exp(-la_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k8_cu)*exp(iv8_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k8_cup)*exp(iv8_cup))*((exp(-k8_cup)*exp(iv8_cup))/2 - DELTA/2 + 1) + (exp(a8_cup)*exp(k8_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k8_cu)*exp(iv8_cu)) - 1);
f(25,1)=- ((PHI*exp(k1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu))^2)/2 + (PHI*exp(k2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu))^2)/2 + (PHI*exp(k3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu))^2)/2 + (PHI*exp(k4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu))^2)/2 + (PHI*exp(k5_cu)*(DELTA - exp(-k5_cu)*exp(iv5_cu))^2)/2 + (PHI*exp(k6_cu)*(DELTA - exp(-k6_cu)*exp(iv6_cu))^2)/2 + (PHI*exp(k7_cu)*(DELTA - exp(-k7_cu)*exp(iv7_cu))^2)/2 + (PHI*exp(k8_cu)*(DELTA - exp(-k8_cu)*exp(iv8_cu))^2)/2 + (exp(a1_cu)*exp(k1_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a2_cu)*exp(k2_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a3_cu)*exp(k3_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a4_cu)*exp(k4_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a5_cu)*exp(k5_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a6_cu)*exp(k6_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a7_cu)*exp(k7_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a8_cu)*exp(k8_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(c7_cu) + exp(c8_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) + exp(iv7_cu) + exp(iv8_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu) - DELTA*exp(k7_cu) - DELTA*exp(k8_cu)) - 1;
% END DISPLAYING f
 
%% Model derivatives fx11, fx11p, fy, fyp
if getDeriv == 1
% START DISPLAYING fx11
fx11(9,1)=-exp(-k1_cup)*exp(k1_cu)*(DELTA - 1);
fx11(17,1)=(PHI*exp(-k1_cu)*exp(-la_cu)*exp(iv1_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k1_cu)*exp(iv1_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k1_cup)*exp(iv1_cup))*((exp(-k1_cup)*exp(iv1_cup))/2 - DELTA/2 + 1) + (exp(a1_cup)*exp(k1_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k1_cu)*exp(iv1_cu)) - 1)^2 - (PHI*exp(-k1_cu)*exp(iv1_cu))/(PHI*(DELTA - exp(-k1_cu)*exp(iv1_cu)) - 1);
fx11(25,1)=- (PHI*exp(iv1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu)) + (PHI*exp(k1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu))^2)/2 + (exp(a1_cu)*exp(k1_cu)*exp(k1_cu)^(ALFA - 1)*(BETTA - 1))/BETTA)/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(c7_cu) + exp(c8_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) + exp(iv7_cu) + exp(iv8_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu) - DELTA*exp(k7_cu) - DELTA*exp(k8_cu)) - (DELTA*exp(k1_cu)*((PHI*exp(k1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu))^2)/2 + (PHI*exp(k2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu))^2)/2 + (PHI*exp(k3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu))^2)/2 + (PHI*exp(k4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu))^2)/2 + (PHI*exp(k5_cu)*(DELTA - exp(-k5_cu)*exp(iv5_cu))^2)/2 + (PHI*exp(k6_cu)*(DELTA - exp(-k6_cu)*exp(iv6_cu))^2)/2 + (PHI*exp(k7_cu)*(DELTA - exp(-k7_cu)*exp(iv7_cu))^2)/2 + (PHI*exp(k8_cu)*(DELTA - exp(-k8_cu)*exp(iv8_cu))^2)/2 + (exp(a1_cu)*exp(k1_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a2_cu)*exp(k2_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a3_cu)*exp(k3_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a4_cu)*exp(k4_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a5_cu)*exp(k5_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a6_cu)*exp(k6_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a7_cu)*exp(k7_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a8_cu)*exp(k8_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(c7_cu) + exp(c8_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) + exp(iv7_cu) + exp(iv8_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu) - DELTA*exp(k7_cu) - DELTA*exp(k8_cu))^2;
fx11(10,2)=-exp(-k2_cup)*exp(k2_cu)*(DELTA - 1);
fx11(18,2)=(PHI*exp(-k2_cu)*exp(-la_cu)*exp(iv2_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k2_cu)*exp(iv2_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k2_cup)*exp(iv2_cup))*((exp(-k2_cup)*exp(iv2_cup))/2 - DELTA/2 + 1) + (exp(a2_cup)*exp(k2_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k2_cu)*exp(iv2_cu)) - 1)^2 - (PHI*exp(-k2_cu)*exp(iv2_cu))/(PHI*(DELTA - exp(-k2_cu)*exp(iv2_cu)) - 1);
fx11(25,2)=- (PHI*exp(iv2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu)) + (PHI*exp(k2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu))^2)/2 + (exp(a2_cu)*exp(k2_cu)*exp(k2_cu)^(ALFA - 1)*(BETTA - 1))/BETTA)/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(c7_cu) + exp(c8_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) + exp(iv7_cu) + exp(iv8_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu) - DELTA*exp(k7_cu) - DELTA*exp(k8_cu)) - (DELTA*exp(k2_cu)*((PHI*exp(k1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu))^2)/2 + (PHI*exp(k2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu))^2)/2 + (PHI*exp(k3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu))^2)/2 + (PHI*exp(k4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu))^2)/2 + (PHI*exp(k5_cu)*(DELTA - exp(-k5_cu)*exp(iv5_cu))^2)/2 + (PHI*exp(k6_cu)*(DELTA - exp(-k6_cu)*exp(iv6_cu))^2)/2 + (PHI*exp(k7_cu)*(DELTA - exp(-k7_cu)*exp(iv7_cu))^2)/2 + (PHI*exp(k8_cu)*(DELTA - exp(-k8_cu)*exp(iv8_cu))^2)/2 + (exp(a1_cu)*exp(k1_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a2_cu)*exp(k2_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a3_cu)*exp(k3_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a4_cu)*exp(k4_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a5_cu)*exp(k5_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a6_cu)*exp(k6_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a7_cu)*exp(k7_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a8_cu)*exp(k8_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(c7_cu) + exp(c8_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) + exp(iv7_cu) + exp(iv8_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu) - DELTA*exp(k7_cu) - DELTA*exp(k8_cu))^2;
fx11(11,3)=-exp(-k3_cup)*exp(k3_cu)*(DELTA - 1);
fx11(19,3)=(PHI*exp(-k3_cu)*exp(-la_cu)*exp(iv3_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k3_cu)*exp(iv3_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k3_cup)*exp(iv3_cup))*((exp(-k3_cup)*exp(iv3_cup))/2 - DELTA/2 + 1) + (exp(a3_cup)*exp(k3_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k3_cu)*exp(iv3_cu)) - 1)^2 - (PHI*exp(-k3_cu)*exp(iv3_cu))/(PHI*(DELTA - exp(-k3_cu)*exp(iv3_cu)) - 1);
fx11(25,3)=- (PHI*exp(iv3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu)) + (PHI*exp(k3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu))^2)/2 + (exp(a3_cu)*exp(k3_cu)*exp(k3_cu)^(ALFA - 1)*(BETTA - 1))/BETTA)/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(c7_cu) + exp(c8_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) + exp(iv7_cu) + exp(iv8_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu) - DELTA*exp(k7_cu) - DELTA*exp(k8_cu)) - (DELTA*exp(k3_cu)*((PHI*exp(k1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu))^2)/2 + (PHI*exp(k2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu))^2)/2 + (PHI*exp(k3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu))^2)/2 + (PHI*exp(k4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu))^2)/2 + (PHI*exp(k5_cu)*(DELTA - exp(-k5_cu)*exp(iv5_cu))^2)/2 + (PHI*exp(k6_cu)*(DELTA - exp(-k6_cu)*exp(iv6_cu))^2)/2 + (PHI*exp(k7_cu)*(DELTA - exp(-k7_cu)*exp(iv7_cu))^2)/2 + (PHI*exp(k8_cu)*(DELTA - exp(-k8_cu)*exp(iv8_cu))^2)/2 + (exp(a1_cu)*exp(k1_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a2_cu)*exp(k2_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a3_cu)*exp(k3_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a4_cu)*exp(k4_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a5_cu)*exp(k5_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a6_cu)*exp(k6_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a7_cu)*exp(k7_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a8_cu)*exp(k8_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(c7_cu) + exp(c8_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) + exp(iv7_cu) + exp(iv8_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu) - DELTA*exp(k7_cu) - DELTA*exp(k8_cu))^2;
fx11(12,4)=-exp(-k4_cup)*exp(k4_cu)*(DELTA - 1);
fx11(20,4)=(PHI*exp(-k4_cu)*exp(-la_cu)*exp(iv4_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k4_cu)*exp(iv4_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k4_cup)*exp(iv4_cup))*((exp(-k4_cup)*exp(iv4_cup))/2 - DELTA/2 + 1) + (exp(a4_cup)*exp(k4_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k4_cu)*exp(iv4_cu)) - 1)^2 - (PHI*exp(-k4_cu)*exp(iv4_cu))/(PHI*(DELTA - exp(-k4_cu)*exp(iv4_cu)) - 1);
fx11(25,4)=- (PHI*exp(iv4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu)) + (PHI*exp(k4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu))^2)/2 + (exp(a4_cu)*exp(k4_cu)*exp(k4_cu)^(ALFA - 1)*(BETTA - 1))/BETTA)/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(c7_cu) + exp(c8_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) + exp(iv7_cu) + exp(iv8_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu) - DELTA*exp(k7_cu) - DELTA*exp(k8_cu)) - (DELTA*exp(k4_cu)*((PHI*exp(k1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu))^2)/2 + (PHI*exp(k2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu))^2)/2 + (PHI*exp(k3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu))^2)/2 + (PHI*exp(k4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu))^2)/2 + (PHI*exp(k5_cu)*(DELTA - exp(-k5_cu)*exp(iv5_cu))^2)/2 + (PHI*exp(k6_cu)*(DELTA - exp(-k6_cu)*exp(iv6_cu))^2)/2 + (PHI*exp(k7_cu)*(DELTA - exp(-k7_cu)*exp(iv7_cu))^2)/2 + (PHI*exp(k8_cu)*(DELTA - exp(-k8_cu)*exp(iv8_cu))^2)/2 + (exp(a1_cu)*exp(k1_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a2_cu)*exp(k2_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a3_cu)*exp(k3_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a4_cu)*exp(k4_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a5_cu)*exp(k5_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a6_cu)*exp(k6_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a7_cu)*exp(k7_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a8_cu)*exp(k8_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(c7_cu) + exp(c8_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) + exp(iv7_cu) + exp(iv8_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu) - DELTA*exp(k7_cu) - DELTA*exp(k8_cu))^2;
fx11(13,5)=-exp(-k5_cup)*exp(k5_cu)*(DELTA - 1);
fx11(21,5)=(PHI*exp(-k5_cu)*exp(-la_cu)*exp(iv5_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k5_cu)*exp(iv5_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k5_cup)*exp(iv5_cup))*((exp(-k5_cup)*exp(iv5_cup))/2 - DELTA/2 + 1) + (exp(a5_cup)*exp(k5_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k5_cu)*exp(iv5_cu)) - 1)^2 - (PHI*exp(-k5_cu)*exp(iv5_cu))/(PHI*(DELTA - exp(-k5_cu)*exp(iv5_cu)) - 1);
fx11(25,5)=- (PHI*exp(iv5_cu)*(DELTA - exp(-k5_cu)*exp(iv5_cu)) + (PHI*exp(k5_cu)*(DELTA - exp(-k5_cu)*exp(iv5_cu))^2)/2 + (exp(a5_cu)*exp(k5_cu)*exp(k5_cu)^(ALFA - 1)*(BETTA - 1))/BETTA)/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(c7_cu) + exp(c8_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) + exp(iv7_cu) + exp(iv8_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu) - DELTA*exp(k7_cu) - DELTA*exp(k8_cu)) - (DELTA*exp(k5_cu)*((PHI*exp(k1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu))^2)/2 + (PHI*exp(k2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu))^2)/2 + (PHI*exp(k3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu))^2)/2 + (PHI*exp(k4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu))^2)/2 + (PHI*exp(k5_cu)*(DELTA - exp(-k5_cu)*exp(iv5_cu))^2)/2 + (PHI*exp(k6_cu)*(DELTA - exp(-k6_cu)*exp(iv6_cu))^2)/2 + (PHI*exp(k7_cu)*(DELTA - exp(-k7_cu)*exp(iv7_cu))^2)/2 + (PHI*exp(k8_cu)*(DELTA - exp(-k8_cu)*exp(iv8_cu))^2)/2 + (exp(a1_cu)*exp(k1_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a2_cu)*exp(k2_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a3_cu)*exp(k3_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a4_cu)*exp(k4_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a5_cu)*exp(k5_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a6_cu)*exp(k6_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a7_cu)*exp(k7_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a8_cu)*exp(k8_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(c7_cu) + exp(c8_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) + exp(iv7_cu) + exp(iv8_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu) - DELTA*exp(k7_cu) - DELTA*exp(k8_cu))^2;
fx11(14,6)=-exp(-k6_cup)*exp(k6_cu)*(DELTA - 1);
fx11(22,6)=(PHI*exp(-k6_cu)*exp(-la_cu)*exp(iv6_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k6_cu)*exp(iv6_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k6_cup)*exp(iv6_cup))*((exp(-k6_cup)*exp(iv6_cup))/2 - DELTA/2 + 1) + (exp(a6_cup)*exp(k6_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k6_cu)*exp(iv6_cu)) - 1)^2 - (PHI*exp(-k6_cu)*exp(iv6_cu))/(PHI*(DELTA - exp(-k6_cu)*exp(iv6_cu)) - 1);
fx11(25,6)=- (PHI*exp(iv6_cu)*(DELTA - exp(-k6_cu)*exp(iv6_cu)) + (PHI*exp(k6_cu)*(DELTA - exp(-k6_cu)*exp(iv6_cu))^2)/2 + (exp(a6_cu)*exp(k6_cu)*exp(k6_cu)^(ALFA - 1)*(BETTA - 1))/BETTA)/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(c7_cu) + exp(c8_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) + exp(iv7_cu) + exp(iv8_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu) - DELTA*exp(k7_cu) - DELTA*exp(k8_cu)) - (DELTA*exp(k6_cu)*((PHI*exp(k1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu))^2)/2 + (PHI*exp(k2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu))^2)/2 + (PHI*exp(k3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu))^2)/2 + (PHI*exp(k4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu))^2)/2 + (PHI*exp(k5_cu)*(DELTA - exp(-k5_cu)*exp(iv5_cu))^2)/2 + (PHI*exp(k6_cu)*(DELTA - exp(-k6_cu)*exp(iv6_cu))^2)/2 + (PHI*exp(k7_cu)*(DELTA - exp(-k7_cu)*exp(iv7_cu))^2)/2 + (PHI*exp(k8_cu)*(DELTA - exp(-k8_cu)*exp(iv8_cu))^2)/2 + (exp(a1_cu)*exp(k1_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a2_cu)*exp(k2_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a3_cu)*exp(k3_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a4_cu)*exp(k4_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a5_cu)*exp(k5_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a6_cu)*exp(k6_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a7_cu)*exp(k7_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a8_cu)*exp(k8_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(c7_cu) + exp(c8_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) + exp(iv7_cu) + exp(iv8_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu) - DELTA*exp(k7_cu) - DELTA*exp(k8_cu))^2;
fx11(15,7)=-exp(-k7_cup)*exp(k7_cu)*(DELTA - 1);
fx11(23,7)=(PHI*exp(-k7_cu)*exp(-la_cu)*exp(iv7_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k7_cu)*exp(iv7_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k7_cup)*exp(iv7_cup))*((exp(-k7_cup)*exp(iv7_cup))/2 - DELTA/2 + 1) + (exp(a7_cup)*exp(k7_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k7_cu)*exp(iv7_cu)) - 1)^2 - (PHI*exp(-k7_cu)*exp(iv7_cu))/(PHI*(DELTA - exp(-k7_cu)*exp(iv7_cu)) - 1);
fx11(25,7)=- (PHI*exp(iv7_cu)*(DELTA - exp(-k7_cu)*exp(iv7_cu)) + (PHI*exp(k7_cu)*(DELTA - exp(-k7_cu)*exp(iv7_cu))^2)/2 + (exp(a7_cu)*exp(k7_cu)*exp(k7_cu)^(ALFA - 1)*(BETTA - 1))/BETTA)/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(c7_cu) + exp(c8_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) + exp(iv7_cu) + exp(iv8_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu) - DELTA*exp(k7_cu) - DELTA*exp(k8_cu)) - (DELTA*exp(k7_cu)*((PHI*exp(k1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu))^2)/2 + (PHI*exp(k2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu))^2)/2 + (PHI*exp(k3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu))^2)/2 + (PHI*exp(k4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu))^2)/2 + (PHI*exp(k5_cu)*(DELTA - exp(-k5_cu)*exp(iv5_cu))^2)/2 + (PHI*exp(k6_cu)*(DELTA - exp(-k6_cu)*exp(iv6_cu))^2)/2 + (PHI*exp(k7_cu)*(DELTA - exp(-k7_cu)*exp(iv7_cu))^2)/2 + (PHI*exp(k8_cu)*(DELTA - exp(-k8_cu)*exp(iv8_cu))^2)/2 + (exp(a1_cu)*exp(k1_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a2_cu)*exp(k2_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a3_cu)*exp(k3_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a4_cu)*exp(k4_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a5_cu)*exp(k5_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a6_cu)*exp(k6_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a7_cu)*exp(k7_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a8_cu)*exp(k8_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(c7_cu) + exp(c8_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) + exp(iv7_cu) + exp(iv8_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu) - DELTA*exp(k7_cu) - DELTA*exp(k8_cu))^2;
fx11(16,8)=-exp(-k8_cup)*exp(k8_cu)*(DELTA - 1);
fx11(24,8)=(PHI*exp(-k8_cu)*exp(-la_cu)*exp(iv8_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k8_cu)*exp(iv8_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k8_cup)*exp(iv8_cup))*((exp(-k8_cup)*exp(iv8_cup))/2 - DELTA/2 + 1) + (exp(a8_cup)*exp(k8_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k8_cu)*exp(iv8_cu)) - 1)^2 - (PHI*exp(-k8_cu)*exp(iv8_cu))/(PHI*(DELTA - exp(-k8_cu)*exp(iv8_cu)) - 1);
fx11(25,8)=- (PHI*exp(iv8_cu)*(DELTA - exp(-k8_cu)*exp(iv8_cu)) + (PHI*exp(k8_cu)*(DELTA - exp(-k8_cu)*exp(iv8_cu))^2)/2 + (exp(a8_cu)*exp(k8_cu)*exp(k8_cu)^(ALFA - 1)*(BETTA - 1))/BETTA)/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(c7_cu) + exp(c8_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) + exp(iv7_cu) + exp(iv8_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu) - DELTA*exp(k7_cu) - DELTA*exp(k8_cu)) - (DELTA*exp(k8_cu)*((PHI*exp(k1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu))^2)/2 + (PHI*exp(k2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu))^2)/2 + (PHI*exp(k3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu))^2)/2 + (PHI*exp(k4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu))^2)/2 + (PHI*exp(k5_cu)*(DELTA - exp(-k5_cu)*exp(iv5_cu))^2)/2 + (PHI*exp(k6_cu)*(DELTA - exp(-k6_cu)*exp(iv6_cu))^2)/2 + (PHI*exp(k7_cu)*(DELTA - exp(-k7_cu)*exp(iv7_cu))^2)/2 + (PHI*exp(k8_cu)*(DELTA - exp(-k8_cu)*exp(iv8_cu))^2)/2 + (exp(a1_cu)*exp(k1_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a2_cu)*exp(k2_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a3_cu)*exp(k3_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a4_cu)*exp(k4_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a5_cu)*exp(k5_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a6_cu)*exp(k6_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a7_cu)*exp(k7_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a8_cu)*exp(k8_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(c7_cu) + exp(c8_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) + exp(iv7_cu) + exp(iv8_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu) - DELTA*exp(k7_cu) - DELTA*exp(k8_cu))^2;
% END DISPLAYING fx11
if t == 1;
    fx11  = zeros(ny+mx,mx);
end
 
% START DISPLAYING fx11p
fx11p(9,1)=-exp(-k1_cup)*(exp(iv1_cu) - exp(k1_cu)*(DELTA - 1));
fx11p(17,1)=(BETTA*exp(-la_cu)*exp(la_cup)*(PHI*exp(-k1_cup)*exp(iv1_cup)*((exp(-k1_cup)*exp(iv1_cup))/2 - DELTA/2 + 1) - (PHI*exp(-k1_cup)*exp(iv1_cup)*(DELTA - exp(-k1_cup)*exp(iv1_cup)))/2 + (exp(a1_cup)*exp(k1_cup)*exp(k1_cup)^(ALFA - 2)*(ALFA - 1)*(BETTA - 1))/BETTA))/(PHI*(DELTA - exp(-k1_cu)*exp(iv1_cu)) - 1);
fx11p(10,2)=-exp(-k2_cup)*(exp(iv2_cu) - exp(k2_cu)*(DELTA - 1));
fx11p(18,2)=(BETTA*exp(-la_cu)*exp(la_cup)*(PHI*exp(-k2_cup)*exp(iv2_cup)*((exp(-k2_cup)*exp(iv2_cup))/2 - DELTA/2 + 1) - (PHI*exp(-k2_cup)*exp(iv2_cup)*(DELTA - exp(-k2_cup)*exp(iv2_cup)))/2 + (exp(a2_cup)*exp(k2_cup)*exp(k2_cup)^(ALFA - 2)*(ALFA - 1)*(BETTA - 1))/BETTA))/(PHI*(DELTA - exp(-k2_cu)*exp(iv2_cu)) - 1);
fx11p(11,3)=-exp(-k3_cup)*(exp(iv3_cu) - exp(k3_cu)*(DELTA - 1));
fx11p(19,3)=(BETTA*exp(-la_cu)*exp(la_cup)*(PHI*exp(-k3_cup)*exp(iv3_cup)*((exp(-k3_cup)*exp(iv3_cup))/2 - DELTA/2 + 1) - (PHI*exp(-k3_cup)*exp(iv3_cup)*(DELTA - exp(-k3_cup)*exp(iv3_cup)))/2 + (exp(a3_cup)*exp(k3_cup)*exp(k3_cup)^(ALFA - 2)*(ALFA - 1)*(BETTA - 1))/BETTA))/(PHI*(DELTA - exp(-k3_cu)*exp(iv3_cu)) - 1);
fx11p(12,4)=-exp(-k4_cup)*(exp(iv4_cu) - exp(k4_cu)*(DELTA - 1));
fx11p(20,4)=(BETTA*exp(-la_cu)*exp(la_cup)*(PHI*exp(-k4_cup)*exp(iv4_cup)*((exp(-k4_cup)*exp(iv4_cup))/2 - DELTA/2 + 1) - (PHI*exp(-k4_cup)*exp(iv4_cup)*(DELTA - exp(-k4_cup)*exp(iv4_cup)))/2 + (exp(a4_cup)*exp(k4_cup)*exp(k4_cup)^(ALFA - 2)*(ALFA - 1)*(BETTA - 1))/BETTA))/(PHI*(DELTA - exp(-k4_cu)*exp(iv4_cu)) - 1);
fx11p(13,5)=-exp(-k5_cup)*(exp(iv5_cu) - exp(k5_cu)*(DELTA - 1));
fx11p(21,5)=(BETTA*exp(-la_cu)*exp(la_cup)*(PHI*exp(-k5_cup)*exp(iv5_cup)*((exp(-k5_cup)*exp(iv5_cup))/2 - DELTA/2 + 1) - (PHI*exp(-k5_cup)*exp(iv5_cup)*(DELTA - exp(-k5_cup)*exp(iv5_cup)))/2 + (exp(a5_cup)*exp(k5_cup)*exp(k5_cup)^(ALFA - 2)*(ALFA - 1)*(BETTA - 1))/BETTA))/(PHI*(DELTA - exp(-k5_cu)*exp(iv5_cu)) - 1);
fx11p(14,6)=-exp(-k6_cup)*(exp(iv6_cu) - exp(k6_cu)*(DELTA - 1));
fx11p(22,6)=(BETTA*exp(-la_cu)*exp(la_cup)*(PHI*exp(-k6_cup)*exp(iv6_cup)*((exp(-k6_cup)*exp(iv6_cup))/2 - DELTA/2 + 1) - (PHI*exp(-k6_cup)*exp(iv6_cup)*(DELTA - exp(-k6_cup)*exp(iv6_cup)))/2 + (exp(a6_cup)*exp(k6_cup)*exp(k6_cup)^(ALFA - 2)*(ALFA - 1)*(BETTA - 1))/BETTA))/(PHI*(DELTA - exp(-k6_cu)*exp(iv6_cu)) - 1);
fx11p(15,7)=-exp(-k7_cup)*(exp(iv7_cu) - exp(k7_cu)*(DELTA - 1));
fx11p(23,7)=(BETTA*exp(-la_cu)*exp(la_cup)*(PHI*exp(-k7_cup)*exp(iv7_cup)*((exp(-k7_cup)*exp(iv7_cup))/2 - DELTA/2 + 1) - (PHI*exp(-k7_cup)*exp(iv7_cup)*(DELTA - exp(-k7_cup)*exp(iv7_cup)))/2 + (exp(a7_cup)*exp(k7_cup)*exp(k7_cup)^(ALFA - 2)*(ALFA - 1)*(BETTA - 1))/BETTA))/(PHI*(DELTA - exp(-k7_cu)*exp(iv7_cu)) - 1);
fx11p(16,8)=-exp(-k8_cup)*(exp(iv8_cu) - exp(k8_cu)*(DELTA - 1));
fx11p(24,8)=(BETTA*exp(-la_cu)*exp(la_cup)*(PHI*exp(-k8_cup)*exp(iv8_cup)*((exp(-k8_cup)*exp(iv8_cup))/2 - DELTA/2 + 1) - (PHI*exp(-k8_cup)*exp(iv8_cup)*(DELTA - exp(-k8_cup)*exp(iv8_cup)))/2 + (exp(a8_cup)*exp(k8_cup)*exp(k8_cup)^(ALFA - 2)*(ALFA - 1)*(BETTA - 1))/BETTA))/(PHI*(DELTA - exp(-k8_cu)*exp(iv8_cu)) - 1);
% END DISPLAYING fx11p
 
 
% START DISPLAYING fy
fy(1,1)=-(exp(-la_cu)*exp(c1_cu)*(-(BETTA - 1)/(ALFA*BETTA))^(1/GAMA))/(GAMA*exp(c1_cu)^(1/GAMA + 1));
fy(25,1)=(exp(c1_cu)*((PHI*exp(k1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu))^2)/2 + (PHI*exp(k2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu))^2)/2 + (PHI*exp(k3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu))^2)/2 + (PHI*exp(k4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu))^2)/2 + (PHI*exp(k5_cu)*(DELTA - exp(-k5_cu)*exp(iv5_cu))^2)/2 + (PHI*exp(k6_cu)*(DELTA - exp(-k6_cu)*exp(iv6_cu))^2)/2 + (PHI*exp(k7_cu)*(DELTA - exp(-k7_cu)*exp(iv7_cu))^2)/2 + (PHI*exp(k8_cu)*(DELTA - exp(-k8_cu)*exp(iv8_cu))^2)/2 + (exp(a1_cu)*exp(k1_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a2_cu)*exp(k2_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a3_cu)*exp(k3_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a4_cu)*exp(k4_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a5_cu)*exp(k5_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a6_cu)*exp(k6_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a7_cu)*exp(k7_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a8_cu)*exp(k8_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(c7_cu) + exp(c8_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) + exp(iv7_cu) + exp(iv8_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu) - DELTA*exp(k7_cu) - DELTA*exp(k8_cu))^2;
fy(2,2)=-(exp(-la_cu)*exp(c2_cu)*(-(BETTA - 1)/(ALFA*BETTA))^(1/GAMA))/(GAMA*exp(c2_cu)^(1/GAMA + 1));
fy(25,2)=(exp(c2_cu)*((PHI*exp(k1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu))^2)/2 + (PHI*exp(k2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu))^2)/2 + (PHI*exp(k3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu))^2)/2 + (PHI*exp(k4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu))^2)/2 + (PHI*exp(k5_cu)*(DELTA - exp(-k5_cu)*exp(iv5_cu))^2)/2 + (PHI*exp(k6_cu)*(DELTA - exp(-k6_cu)*exp(iv6_cu))^2)/2 + (PHI*exp(k7_cu)*(DELTA - exp(-k7_cu)*exp(iv7_cu))^2)/2 + (PHI*exp(k8_cu)*(DELTA - exp(-k8_cu)*exp(iv8_cu))^2)/2 + (exp(a1_cu)*exp(k1_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a2_cu)*exp(k2_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a3_cu)*exp(k3_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a4_cu)*exp(k4_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a5_cu)*exp(k5_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a6_cu)*exp(k6_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a7_cu)*exp(k7_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a8_cu)*exp(k8_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(c7_cu) + exp(c8_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) + exp(iv7_cu) + exp(iv8_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu) - DELTA*exp(k7_cu) - DELTA*exp(k8_cu))^2;
fy(3,3)=-(exp(-la_cu)*exp(c3_cu)*(-(BETTA - 1)/(ALFA*BETTA))^(1/GAMA))/(GAMA*exp(c3_cu)^(1/GAMA + 1));
fy(25,3)=(exp(c3_cu)*((PHI*exp(k1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu))^2)/2 + (PHI*exp(k2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu))^2)/2 + (PHI*exp(k3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu))^2)/2 + (PHI*exp(k4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu))^2)/2 + (PHI*exp(k5_cu)*(DELTA - exp(-k5_cu)*exp(iv5_cu))^2)/2 + (PHI*exp(k6_cu)*(DELTA - exp(-k6_cu)*exp(iv6_cu))^2)/2 + (PHI*exp(k7_cu)*(DELTA - exp(-k7_cu)*exp(iv7_cu))^2)/2 + (PHI*exp(k8_cu)*(DELTA - exp(-k8_cu)*exp(iv8_cu))^2)/2 + (exp(a1_cu)*exp(k1_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a2_cu)*exp(k2_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a3_cu)*exp(k3_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a4_cu)*exp(k4_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a5_cu)*exp(k5_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a6_cu)*exp(k6_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a7_cu)*exp(k7_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a8_cu)*exp(k8_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(c7_cu) + exp(c8_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) + exp(iv7_cu) + exp(iv8_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu) - DELTA*exp(k7_cu) - DELTA*exp(k8_cu))^2;
fy(4,4)=-(exp(-la_cu)*exp(c4_cu)*(-(BETTA - 1)/(ALFA*BETTA))^(1/GAMA))/(GAMA*exp(c4_cu)^(1/GAMA + 1));
fy(25,4)=(exp(c4_cu)*((PHI*exp(k1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu))^2)/2 + (PHI*exp(k2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu))^2)/2 + (PHI*exp(k3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu))^2)/2 + (PHI*exp(k4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu))^2)/2 + (PHI*exp(k5_cu)*(DELTA - exp(-k5_cu)*exp(iv5_cu))^2)/2 + (PHI*exp(k6_cu)*(DELTA - exp(-k6_cu)*exp(iv6_cu))^2)/2 + (PHI*exp(k7_cu)*(DELTA - exp(-k7_cu)*exp(iv7_cu))^2)/2 + (PHI*exp(k8_cu)*(DELTA - exp(-k8_cu)*exp(iv8_cu))^2)/2 + (exp(a1_cu)*exp(k1_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a2_cu)*exp(k2_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a3_cu)*exp(k3_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a4_cu)*exp(k4_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a5_cu)*exp(k5_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a6_cu)*exp(k6_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a7_cu)*exp(k7_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a8_cu)*exp(k8_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(c7_cu) + exp(c8_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) + exp(iv7_cu) + exp(iv8_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu) - DELTA*exp(k7_cu) - DELTA*exp(k8_cu))^2;
fy(5,5)=-(exp(-la_cu)*exp(c5_cu)*(-(BETTA - 1)/(ALFA*BETTA))^(1/GAMA))/(GAMA*exp(c5_cu)^(1/GAMA + 1));
fy(25,5)=(exp(c5_cu)*((PHI*exp(k1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu))^2)/2 + (PHI*exp(k2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu))^2)/2 + (PHI*exp(k3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu))^2)/2 + (PHI*exp(k4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu))^2)/2 + (PHI*exp(k5_cu)*(DELTA - exp(-k5_cu)*exp(iv5_cu))^2)/2 + (PHI*exp(k6_cu)*(DELTA - exp(-k6_cu)*exp(iv6_cu))^2)/2 + (PHI*exp(k7_cu)*(DELTA - exp(-k7_cu)*exp(iv7_cu))^2)/2 + (PHI*exp(k8_cu)*(DELTA - exp(-k8_cu)*exp(iv8_cu))^2)/2 + (exp(a1_cu)*exp(k1_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a2_cu)*exp(k2_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a3_cu)*exp(k3_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a4_cu)*exp(k4_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a5_cu)*exp(k5_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a6_cu)*exp(k6_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a7_cu)*exp(k7_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a8_cu)*exp(k8_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(c7_cu) + exp(c8_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) + exp(iv7_cu) + exp(iv8_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu) - DELTA*exp(k7_cu) - DELTA*exp(k8_cu))^2;
fy(6,6)=-(exp(-la_cu)*exp(c6_cu)*(-(BETTA - 1)/(ALFA*BETTA))^(1/GAMA))/(GAMA*exp(c6_cu)^(1/GAMA + 1));
fy(25,6)=(exp(c6_cu)*((PHI*exp(k1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu))^2)/2 + (PHI*exp(k2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu))^2)/2 + (PHI*exp(k3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu))^2)/2 + (PHI*exp(k4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu))^2)/2 + (PHI*exp(k5_cu)*(DELTA - exp(-k5_cu)*exp(iv5_cu))^2)/2 + (PHI*exp(k6_cu)*(DELTA - exp(-k6_cu)*exp(iv6_cu))^2)/2 + (PHI*exp(k7_cu)*(DELTA - exp(-k7_cu)*exp(iv7_cu))^2)/2 + (PHI*exp(k8_cu)*(DELTA - exp(-k8_cu)*exp(iv8_cu))^2)/2 + (exp(a1_cu)*exp(k1_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a2_cu)*exp(k2_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a3_cu)*exp(k3_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a4_cu)*exp(k4_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a5_cu)*exp(k5_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a6_cu)*exp(k6_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a7_cu)*exp(k7_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a8_cu)*exp(k8_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(c7_cu) + exp(c8_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) + exp(iv7_cu) + exp(iv8_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu) - DELTA*exp(k7_cu) - DELTA*exp(k8_cu))^2;
fy(7,7)=-(exp(-la_cu)*exp(c7_cu)*(-(BETTA - 1)/(ALFA*BETTA))^(1/GAMA))/(GAMA*exp(c7_cu)^(1/GAMA + 1));
fy(25,7)=(exp(c7_cu)*((PHI*exp(k1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu))^2)/2 + (PHI*exp(k2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu))^2)/2 + (PHI*exp(k3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu))^2)/2 + (PHI*exp(k4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu))^2)/2 + (PHI*exp(k5_cu)*(DELTA - exp(-k5_cu)*exp(iv5_cu))^2)/2 + (PHI*exp(k6_cu)*(DELTA - exp(-k6_cu)*exp(iv6_cu))^2)/2 + (PHI*exp(k7_cu)*(DELTA - exp(-k7_cu)*exp(iv7_cu))^2)/2 + (PHI*exp(k8_cu)*(DELTA - exp(-k8_cu)*exp(iv8_cu))^2)/2 + (exp(a1_cu)*exp(k1_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a2_cu)*exp(k2_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a3_cu)*exp(k3_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a4_cu)*exp(k4_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a5_cu)*exp(k5_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a6_cu)*exp(k6_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a7_cu)*exp(k7_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a8_cu)*exp(k8_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(c7_cu) + exp(c8_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) + exp(iv7_cu) + exp(iv8_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu) - DELTA*exp(k7_cu) - DELTA*exp(k8_cu))^2;
fy(8,8)=-(exp(-la_cu)*exp(c8_cu)*(-(BETTA - 1)/(ALFA*BETTA))^(1/GAMA))/(GAMA*exp(c8_cu)^(1/GAMA + 1));
fy(25,8)=(exp(c8_cu)*((PHI*exp(k1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu))^2)/2 + (PHI*exp(k2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu))^2)/2 + (PHI*exp(k3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu))^2)/2 + (PHI*exp(k4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu))^2)/2 + (PHI*exp(k5_cu)*(DELTA - exp(-k5_cu)*exp(iv5_cu))^2)/2 + (PHI*exp(k6_cu)*(DELTA - exp(-k6_cu)*exp(iv6_cu))^2)/2 + (PHI*exp(k7_cu)*(DELTA - exp(-k7_cu)*exp(iv7_cu))^2)/2 + (PHI*exp(k8_cu)*(DELTA - exp(-k8_cu)*exp(iv8_cu))^2)/2 + (exp(a1_cu)*exp(k1_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a2_cu)*exp(k2_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a3_cu)*exp(k3_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a4_cu)*exp(k4_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a5_cu)*exp(k5_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a6_cu)*exp(k6_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a7_cu)*exp(k7_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a8_cu)*exp(k8_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(c7_cu) + exp(c8_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) + exp(iv7_cu) + exp(iv8_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu) - DELTA*exp(k7_cu) - DELTA*exp(k8_cu))^2;
fy(9,9)=exp(-k1_cup)*exp(iv1_cu);
fy(17,9)=(PHI*exp(-k1_cu)*exp(iv1_cu))/(PHI*(DELTA - exp(-k1_cu)*exp(iv1_cu)) - 1) - (PHI*exp(-k1_cu)*exp(-la_cu)*exp(iv1_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k1_cu)*exp(iv1_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k1_cup)*exp(iv1_cup))*((exp(-k1_cup)*exp(iv1_cup))/2 - DELTA/2 + 1) + (exp(a1_cup)*exp(k1_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k1_cu)*exp(iv1_cu)) - 1)^2;
fy(25,9)=(exp(iv1_cu)*((PHI*exp(k1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu))^2)/2 + (PHI*exp(k2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu))^2)/2 + (PHI*exp(k3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu))^2)/2 + (PHI*exp(k4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu))^2)/2 + (PHI*exp(k5_cu)*(DELTA - exp(-k5_cu)*exp(iv5_cu))^2)/2 + (PHI*exp(k6_cu)*(DELTA - exp(-k6_cu)*exp(iv6_cu))^2)/2 + (PHI*exp(k7_cu)*(DELTA - exp(-k7_cu)*exp(iv7_cu))^2)/2 + (PHI*exp(k8_cu)*(DELTA - exp(-k8_cu)*exp(iv8_cu))^2)/2 + (exp(a1_cu)*exp(k1_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a2_cu)*exp(k2_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a3_cu)*exp(k3_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a4_cu)*exp(k4_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a5_cu)*exp(k5_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a6_cu)*exp(k6_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a7_cu)*exp(k7_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a8_cu)*exp(k8_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(c7_cu) + exp(c8_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) + exp(iv7_cu) + exp(iv8_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu) - DELTA*exp(k7_cu) - DELTA*exp(k8_cu))^2 + (PHI*exp(iv1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(c7_cu) + exp(c8_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) + exp(iv7_cu) + exp(iv8_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu) - DELTA*exp(k7_cu) - DELTA*exp(k8_cu));
fy(10,10)=exp(-k2_cup)*exp(iv2_cu);
fy(18,10)=(PHI*exp(-k2_cu)*exp(iv2_cu))/(PHI*(DELTA - exp(-k2_cu)*exp(iv2_cu)) - 1) - (PHI*exp(-k2_cu)*exp(-la_cu)*exp(iv2_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k2_cu)*exp(iv2_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k2_cup)*exp(iv2_cup))*((exp(-k2_cup)*exp(iv2_cup))/2 - DELTA/2 + 1) + (exp(a2_cup)*exp(k2_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k2_cu)*exp(iv2_cu)) - 1)^2;
fy(25,10)=(exp(iv2_cu)*((PHI*exp(k1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu))^2)/2 + (PHI*exp(k2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu))^2)/2 + (PHI*exp(k3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu))^2)/2 + (PHI*exp(k4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu))^2)/2 + (PHI*exp(k5_cu)*(DELTA - exp(-k5_cu)*exp(iv5_cu))^2)/2 + (PHI*exp(k6_cu)*(DELTA - exp(-k6_cu)*exp(iv6_cu))^2)/2 + (PHI*exp(k7_cu)*(DELTA - exp(-k7_cu)*exp(iv7_cu))^2)/2 + (PHI*exp(k8_cu)*(DELTA - exp(-k8_cu)*exp(iv8_cu))^2)/2 + (exp(a1_cu)*exp(k1_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a2_cu)*exp(k2_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a3_cu)*exp(k3_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a4_cu)*exp(k4_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a5_cu)*exp(k5_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a6_cu)*exp(k6_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a7_cu)*exp(k7_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a8_cu)*exp(k8_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(c7_cu) + exp(c8_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) + exp(iv7_cu) + exp(iv8_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu) - DELTA*exp(k7_cu) - DELTA*exp(k8_cu))^2 + (PHI*exp(iv2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(c7_cu) + exp(c8_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) + exp(iv7_cu) + exp(iv8_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu) - DELTA*exp(k7_cu) - DELTA*exp(k8_cu));
fy(11,11)=exp(-k3_cup)*exp(iv3_cu);
fy(19,11)=(PHI*exp(-k3_cu)*exp(iv3_cu))/(PHI*(DELTA - exp(-k3_cu)*exp(iv3_cu)) - 1) - (PHI*exp(-k3_cu)*exp(-la_cu)*exp(iv3_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k3_cu)*exp(iv3_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k3_cup)*exp(iv3_cup))*((exp(-k3_cup)*exp(iv3_cup))/2 - DELTA/2 + 1) + (exp(a3_cup)*exp(k3_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k3_cu)*exp(iv3_cu)) - 1)^2;
fy(25,11)=(exp(iv3_cu)*((PHI*exp(k1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu))^2)/2 + (PHI*exp(k2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu))^2)/2 + (PHI*exp(k3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu))^2)/2 + (PHI*exp(k4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu))^2)/2 + (PHI*exp(k5_cu)*(DELTA - exp(-k5_cu)*exp(iv5_cu))^2)/2 + (PHI*exp(k6_cu)*(DELTA - exp(-k6_cu)*exp(iv6_cu))^2)/2 + (PHI*exp(k7_cu)*(DELTA - exp(-k7_cu)*exp(iv7_cu))^2)/2 + (PHI*exp(k8_cu)*(DELTA - exp(-k8_cu)*exp(iv8_cu))^2)/2 + (exp(a1_cu)*exp(k1_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a2_cu)*exp(k2_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a3_cu)*exp(k3_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a4_cu)*exp(k4_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a5_cu)*exp(k5_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a6_cu)*exp(k6_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a7_cu)*exp(k7_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a8_cu)*exp(k8_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(c7_cu) + exp(c8_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) + exp(iv7_cu) + exp(iv8_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu) - DELTA*exp(k7_cu) - DELTA*exp(k8_cu))^2 + (PHI*exp(iv3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(c7_cu) + exp(c8_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) + exp(iv7_cu) + exp(iv8_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu) - DELTA*exp(k7_cu) - DELTA*exp(k8_cu));
fy(12,12)=exp(-k4_cup)*exp(iv4_cu);
fy(20,12)=(PHI*exp(-k4_cu)*exp(iv4_cu))/(PHI*(DELTA - exp(-k4_cu)*exp(iv4_cu)) - 1) - (PHI*exp(-k4_cu)*exp(-la_cu)*exp(iv4_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k4_cu)*exp(iv4_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k4_cup)*exp(iv4_cup))*((exp(-k4_cup)*exp(iv4_cup))/2 - DELTA/2 + 1) + (exp(a4_cup)*exp(k4_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k4_cu)*exp(iv4_cu)) - 1)^2;
fy(25,12)=(exp(iv4_cu)*((PHI*exp(k1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu))^2)/2 + (PHI*exp(k2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu))^2)/2 + (PHI*exp(k3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu))^2)/2 + (PHI*exp(k4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu))^2)/2 + (PHI*exp(k5_cu)*(DELTA - exp(-k5_cu)*exp(iv5_cu))^2)/2 + (PHI*exp(k6_cu)*(DELTA - exp(-k6_cu)*exp(iv6_cu))^2)/2 + (PHI*exp(k7_cu)*(DELTA - exp(-k7_cu)*exp(iv7_cu))^2)/2 + (PHI*exp(k8_cu)*(DELTA - exp(-k8_cu)*exp(iv8_cu))^2)/2 + (exp(a1_cu)*exp(k1_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a2_cu)*exp(k2_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a3_cu)*exp(k3_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a4_cu)*exp(k4_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a5_cu)*exp(k5_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a6_cu)*exp(k6_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a7_cu)*exp(k7_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a8_cu)*exp(k8_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(c7_cu) + exp(c8_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) + exp(iv7_cu) + exp(iv8_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu) - DELTA*exp(k7_cu) - DELTA*exp(k8_cu))^2 + (PHI*exp(iv4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(c7_cu) + exp(c8_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) + exp(iv7_cu) + exp(iv8_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu) - DELTA*exp(k7_cu) - DELTA*exp(k8_cu));
fy(13,13)=exp(-k5_cup)*exp(iv5_cu);
fy(21,13)=(PHI*exp(-k5_cu)*exp(iv5_cu))/(PHI*(DELTA - exp(-k5_cu)*exp(iv5_cu)) - 1) - (PHI*exp(-k5_cu)*exp(-la_cu)*exp(iv5_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k5_cu)*exp(iv5_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k5_cup)*exp(iv5_cup))*((exp(-k5_cup)*exp(iv5_cup))/2 - DELTA/2 + 1) + (exp(a5_cup)*exp(k5_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k5_cu)*exp(iv5_cu)) - 1)^2;
fy(25,13)=(exp(iv5_cu)*((PHI*exp(k1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu))^2)/2 + (PHI*exp(k2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu))^2)/2 + (PHI*exp(k3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu))^2)/2 + (PHI*exp(k4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu))^2)/2 + (PHI*exp(k5_cu)*(DELTA - exp(-k5_cu)*exp(iv5_cu))^2)/2 + (PHI*exp(k6_cu)*(DELTA - exp(-k6_cu)*exp(iv6_cu))^2)/2 + (PHI*exp(k7_cu)*(DELTA - exp(-k7_cu)*exp(iv7_cu))^2)/2 + (PHI*exp(k8_cu)*(DELTA - exp(-k8_cu)*exp(iv8_cu))^2)/2 + (exp(a1_cu)*exp(k1_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a2_cu)*exp(k2_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a3_cu)*exp(k3_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a4_cu)*exp(k4_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a5_cu)*exp(k5_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a6_cu)*exp(k6_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a7_cu)*exp(k7_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a8_cu)*exp(k8_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(c7_cu) + exp(c8_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) + exp(iv7_cu) + exp(iv8_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu) - DELTA*exp(k7_cu) - DELTA*exp(k8_cu))^2 + (PHI*exp(iv5_cu)*(DELTA - exp(-k5_cu)*exp(iv5_cu)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(c7_cu) + exp(c8_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) + exp(iv7_cu) + exp(iv8_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu) - DELTA*exp(k7_cu) - DELTA*exp(k8_cu));
fy(14,14)=exp(-k6_cup)*exp(iv6_cu);
fy(22,14)=(PHI*exp(-k6_cu)*exp(iv6_cu))/(PHI*(DELTA - exp(-k6_cu)*exp(iv6_cu)) - 1) - (PHI*exp(-k6_cu)*exp(-la_cu)*exp(iv6_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k6_cu)*exp(iv6_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k6_cup)*exp(iv6_cup))*((exp(-k6_cup)*exp(iv6_cup))/2 - DELTA/2 + 1) + (exp(a6_cup)*exp(k6_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k6_cu)*exp(iv6_cu)) - 1)^2;
fy(25,14)=(exp(iv6_cu)*((PHI*exp(k1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu))^2)/2 + (PHI*exp(k2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu))^2)/2 + (PHI*exp(k3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu))^2)/2 + (PHI*exp(k4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu))^2)/2 + (PHI*exp(k5_cu)*(DELTA - exp(-k5_cu)*exp(iv5_cu))^2)/2 + (PHI*exp(k6_cu)*(DELTA - exp(-k6_cu)*exp(iv6_cu))^2)/2 + (PHI*exp(k7_cu)*(DELTA - exp(-k7_cu)*exp(iv7_cu))^2)/2 + (PHI*exp(k8_cu)*(DELTA - exp(-k8_cu)*exp(iv8_cu))^2)/2 + (exp(a1_cu)*exp(k1_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a2_cu)*exp(k2_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a3_cu)*exp(k3_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a4_cu)*exp(k4_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a5_cu)*exp(k5_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a6_cu)*exp(k6_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a7_cu)*exp(k7_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a8_cu)*exp(k8_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(c7_cu) + exp(c8_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) + exp(iv7_cu) + exp(iv8_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu) - DELTA*exp(k7_cu) - DELTA*exp(k8_cu))^2 + (PHI*exp(iv6_cu)*(DELTA - exp(-k6_cu)*exp(iv6_cu)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(c7_cu) + exp(c8_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) + exp(iv7_cu) + exp(iv8_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu) - DELTA*exp(k7_cu) - DELTA*exp(k8_cu));
fy(15,15)=exp(-k7_cup)*exp(iv7_cu);
fy(23,15)=(PHI*exp(-k7_cu)*exp(iv7_cu))/(PHI*(DELTA - exp(-k7_cu)*exp(iv7_cu)) - 1) - (PHI*exp(-k7_cu)*exp(-la_cu)*exp(iv7_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k7_cu)*exp(iv7_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k7_cup)*exp(iv7_cup))*((exp(-k7_cup)*exp(iv7_cup))/2 - DELTA/2 + 1) + (exp(a7_cup)*exp(k7_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k7_cu)*exp(iv7_cu)) - 1)^2;
fy(25,15)=(exp(iv7_cu)*((PHI*exp(k1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu))^2)/2 + (PHI*exp(k2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu))^2)/2 + (PHI*exp(k3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu))^2)/2 + (PHI*exp(k4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu))^2)/2 + (PHI*exp(k5_cu)*(DELTA - exp(-k5_cu)*exp(iv5_cu))^2)/2 + (PHI*exp(k6_cu)*(DELTA - exp(-k6_cu)*exp(iv6_cu))^2)/2 + (PHI*exp(k7_cu)*(DELTA - exp(-k7_cu)*exp(iv7_cu))^2)/2 + (PHI*exp(k8_cu)*(DELTA - exp(-k8_cu)*exp(iv8_cu))^2)/2 + (exp(a1_cu)*exp(k1_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a2_cu)*exp(k2_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a3_cu)*exp(k3_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a4_cu)*exp(k4_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a5_cu)*exp(k5_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a6_cu)*exp(k6_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a7_cu)*exp(k7_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a8_cu)*exp(k8_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(c7_cu) + exp(c8_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) + exp(iv7_cu) + exp(iv8_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu) - DELTA*exp(k7_cu) - DELTA*exp(k8_cu))^2 + (PHI*exp(iv7_cu)*(DELTA - exp(-k7_cu)*exp(iv7_cu)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(c7_cu) + exp(c8_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) + exp(iv7_cu) + exp(iv8_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu) - DELTA*exp(k7_cu) - DELTA*exp(k8_cu));
fy(16,16)=exp(-k8_cup)*exp(iv8_cu);
fy(24,16)=(PHI*exp(-k8_cu)*exp(iv8_cu))/(PHI*(DELTA - exp(-k8_cu)*exp(iv8_cu)) - 1) - (PHI*exp(-k8_cu)*exp(-la_cu)*exp(iv8_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k8_cu)*exp(iv8_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k8_cup)*exp(iv8_cup))*((exp(-k8_cup)*exp(iv8_cup))/2 - DELTA/2 + 1) + (exp(a8_cup)*exp(k8_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k8_cu)*exp(iv8_cu)) - 1)^2;
fy(25,16)=(exp(iv8_cu)*((PHI*exp(k1_cu)*(DELTA - exp(-k1_cu)*exp(iv1_cu))^2)/2 + (PHI*exp(k2_cu)*(DELTA - exp(-k2_cu)*exp(iv2_cu))^2)/2 + (PHI*exp(k3_cu)*(DELTA - exp(-k3_cu)*exp(iv3_cu))^2)/2 + (PHI*exp(k4_cu)*(DELTA - exp(-k4_cu)*exp(iv4_cu))^2)/2 + (PHI*exp(k5_cu)*(DELTA - exp(-k5_cu)*exp(iv5_cu))^2)/2 + (PHI*exp(k6_cu)*(DELTA - exp(-k6_cu)*exp(iv6_cu))^2)/2 + (PHI*exp(k7_cu)*(DELTA - exp(-k7_cu)*exp(iv7_cu))^2)/2 + (PHI*exp(k8_cu)*(DELTA - exp(-k8_cu)*exp(iv8_cu))^2)/2 + (exp(a1_cu)*exp(k1_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a2_cu)*exp(k2_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a3_cu)*exp(k3_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a4_cu)*exp(k4_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a5_cu)*exp(k5_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a6_cu)*exp(k6_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a7_cu)*exp(k7_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA) + (exp(a8_cu)*exp(k8_cu)^ALFA*(BETTA - 1))/(ALFA*BETTA)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(c7_cu) + exp(c8_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) + exp(iv7_cu) + exp(iv8_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu) - DELTA*exp(k7_cu) - DELTA*exp(k8_cu))^2 + (PHI*exp(iv8_cu)*(DELTA - exp(-k8_cu)*exp(iv8_cu)))/(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(c7_cu) + exp(c8_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) + exp(iv7_cu) + exp(iv8_cu) - DELTA*exp(k1_cu) - DELTA*exp(k2_cu) - DELTA*exp(k3_cu) - DELTA*exp(k4_cu) - DELTA*exp(k5_cu) - DELTA*exp(k6_cu) - DELTA*exp(k7_cu) - DELTA*exp(k8_cu));
fy(1,17)=-(exp(-la_cu)*(-(BETTA - 1)/(ALFA*BETTA))^(1/GAMA))/exp(c1_cu)^(1/GAMA);
fy(2,17)=-(exp(-la_cu)*(-(BETTA - 1)/(ALFA*BETTA))^(1/GAMA))/exp(c2_cu)^(1/GAMA);
fy(3,17)=-(exp(-la_cu)*(-(BETTA - 1)/(ALFA*BETTA))^(1/GAMA))/exp(c3_cu)^(1/GAMA);
fy(4,17)=-(exp(-la_cu)*(-(BETTA - 1)/(ALFA*BETTA))^(1/GAMA))/exp(c4_cu)^(1/GAMA);
fy(5,17)=-(exp(-la_cu)*(-(BETTA - 1)/(ALFA*BETTA))^(1/GAMA))/exp(c5_cu)^(1/GAMA);
fy(6,17)=-(exp(-la_cu)*(-(BETTA - 1)/(ALFA*BETTA))^(1/GAMA))/exp(c6_cu)^(1/GAMA);
fy(7,17)=-(exp(-la_cu)*(-(BETTA - 1)/(ALFA*BETTA))^(1/GAMA))/exp(c7_cu)^(1/GAMA);
fy(8,17)=-(exp(-la_cu)*(-(BETTA - 1)/(ALFA*BETTA))^(1/GAMA))/exp(c8_cu)^(1/GAMA);
fy(17,17)=(exp(-la_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k1_cu)*exp(iv1_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k1_cup)*exp(iv1_cup))*((exp(-k1_cup)*exp(iv1_cup))/2 - DELTA/2 + 1) + (exp(a1_cup)*exp(k1_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k1_cu)*exp(iv1_cu)) - 1) - 1;
fy(18,17)=(exp(-la_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k2_cu)*exp(iv2_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k2_cup)*exp(iv2_cup))*((exp(-k2_cup)*exp(iv2_cup))/2 - DELTA/2 + 1) + (exp(a2_cup)*exp(k2_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k2_cu)*exp(iv2_cu)) - 1) - 1;
fy(19,17)=(exp(-la_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k3_cu)*exp(iv3_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k3_cup)*exp(iv3_cup))*((exp(-k3_cup)*exp(iv3_cup))/2 - DELTA/2 + 1) + (exp(a3_cup)*exp(k3_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k3_cu)*exp(iv3_cu)) - 1) - 1;
fy(20,17)=(exp(-la_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k4_cu)*exp(iv4_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k4_cup)*exp(iv4_cup))*((exp(-k4_cup)*exp(iv4_cup))/2 - DELTA/2 + 1) + (exp(a4_cup)*exp(k4_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k4_cu)*exp(iv4_cu)) - 1) - 1;
fy(21,17)=(exp(-la_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k5_cu)*exp(iv5_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k5_cup)*exp(iv5_cup))*((exp(-k5_cup)*exp(iv5_cup))/2 - DELTA/2 + 1) + (exp(a5_cup)*exp(k5_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k5_cu)*exp(iv5_cu)) - 1) - 1;
fy(22,17)=(exp(-la_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k6_cu)*exp(iv6_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k6_cup)*exp(iv6_cup))*((exp(-k6_cup)*exp(iv6_cup))/2 - DELTA/2 + 1) + (exp(a6_cup)*exp(k6_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k6_cu)*exp(iv6_cu)) - 1) - 1;
fy(23,17)=(exp(-la_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k7_cu)*exp(iv7_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k7_cup)*exp(iv7_cup))*((exp(-k7_cup)*exp(iv7_cup))/2 - DELTA/2 + 1) + (exp(a7_cup)*exp(k7_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k7_cu)*exp(iv7_cu)) - 1) - 1;
fy(24,17)=(exp(-la_cu)*(exp(la_cu)*(PHI*(DELTA - exp(-k8_cu)*exp(iv8_cu)) - 1) - BETTA*exp(la_cup)*(PHI*(DELTA - exp(-k8_cup)*exp(iv8_cup))*((exp(-k8_cup)*exp(iv8_cup))/2 - DELTA/2 + 1) + (exp(a8_cup)*exp(k8_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1)))/(PHI*(DELTA - exp(-k8_cu)*exp(iv8_cu)) - 1) - 1;
% END DISPLAYING fy
 
% START DISPLAYING fx12
% END DISPLAYING fx12
if t < N
% START DISPLAYING fyp
fyp(17,9)=-(BETTA*exp(-la_cu)*exp(la_cup)*(PHI*exp(-k1_cup)*exp(iv1_cup)*((exp(-k1_cup)*exp(iv1_cup))/2 - DELTA/2 + 1) - (PHI*exp(-k1_cup)*exp(iv1_cup)*(DELTA - exp(-k1_cup)*exp(iv1_cup)))/2))/(PHI*(DELTA - exp(-k1_cu)*exp(iv1_cu)) - 1);
fyp(18,10)=-(BETTA*exp(-la_cu)*exp(la_cup)*(PHI*exp(-k2_cup)*exp(iv2_cup)*((exp(-k2_cup)*exp(iv2_cup))/2 - DELTA/2 + 1) - (PHI*exp(-k2_cup)*exp(iv2_cup)*(DELTA - exp(-k2_cup)*exp(iv2_cup)))/2))/(PHI*(DELTA - exp(-k2_cu)*exp(iv2_cu)) - 1);
fyp(19,11)=-(BETTA*exp(-la_cu)*exp(la_cup)*(PHI*exp(-k3_cup)*exp(iv3_cup)*((exp(-k3_cup)*exp(iv3_cup))/2 - DELTA/2 + 1) - (PHI*exp(-k3_cup)*exp(iv3_cup)*(DELTA - exp(-k3_cup)*exp(iv3_cup)))/2))/(PHI*(DELTA - exp(-k3_cu)*exp(iv3_cu)) - 1);
fyp(20,12)=-(BETTA*exp(-la_cu)*exp(la_cup)*(PHI*exp(-k4_cup)*exp(iv4_cup)*((exp(-k4_cup)*exp(iv4_cup))/2 - DELTA/2 + 1) - (PHI*exp(-k4_cup)*exp(iv4_cup)*(DELTA - exp(-k4_cup)*exp(iv4_cup)))/2))/(PHI*(DELTA - exp(-k4_cu)*exp(iv4_cu)) - 1);
fyp(21,13)=-(BETTA*exp(-la_cu)*exp(la_cup)*(PHI*exp(-k5_cup)*exp(iv5_cup)*((exp(-k5_cup)*exp(iv5_cup))/2 - DELTA/2 + 1) - (PHI*exp(-k5_cup)*exp(iv5_cup)*(DELTA - exp(-k5_cup)*exp(iv5_cup)))/2))/(PHI*(DELTA - exp(-k5_cu)*exp(iv5_cu)) - 1);
fyp(22,14)=-(BETTA*exp(-la_cu)*exp(la_cup)*(PHI*exp(-k6_cup)*exp(iv6_cup)*((exp(-k6_cup)*exp(iv6_cup))/2 - DELTA/2 + 1) - (PHI*exp(-k6_cup)*exp(iv6_cup)*(DELTA - exp(-k6_cup)*exp(iv6_cup)))/2))/(PHI*(DELTA - exp(-k6_cu)*exp(iv6_cu)) - 1);
fyp(23,15)=-(BETTA*exp(-la_cu)*exp(la_cup)*(PHI*exp(-k7_cup)*exp(iv7_cup)*((exp(-k7_cup)*exp(iv7_cup))/2 - DELTA/2 + 1) - (PHI*exp(-k7_cup)*exp(iv7_cup)*(DELTA - exp(-k7_cup)*exp(iv7_cup)))/2))/(PHI*(DELTA - exp(-k7_cu)*exp(iv7_cu)) - 1);
fyp(24,16)=-(BETTA*exp(-la_cu)*exp(la_cup)*(PHI*exp(-k8_cup)*exp(iv8_cup)*((exp(-k8_cup)*exp(iv8_cup))/2 - DELTA/2 + 1) - (PHI*exp(-k8_cup)*exp(iv8_cup)*(DELTA - exp(-k8_cup)*exp(iv8_cup)))/2))/(PHI*(DELTA - exp(-k8_cu)*exp(iv8_cu)) - 1);
fyp(17,17)=(BETTA*exp(-la_cu)*exp(la_cup)*(PHI*(DELTA - exp(-k1_cup)*exp(iv1_cup))*((exp(-k1_cup)*exp(iv1_cup))/2 - DELTA/2 + 1) + (exp(a1_cup)*exp(k1_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1))/(PHI*(DELTA - exp(-k1_cu)*exp(iv1_cu)) - 1);
fyp(18,17)=(BETTA*exp(-la_cu)*exp(la_cup)*(PHI*(DELTA - exp(-k2_cup)*exp(iv2_cup))*((exp(-k2_cup)*exp(iv2_cup))/2 - DELTA/2 + 1) + (exp(a2_cup)*exp(k2_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1))/(PHI*(DELTA - exp(-k2_cu)*exp(iv2_cu)) - 1);
fyp(19,17)=(BETTA*exp(-la_cu)*exp(la_cup)*(PHI*(DELTA - exp(-k3_cup)*exp(iv3_cup))*((exp(-k3_cup)*exp(iv3_cup))/2 - DELTA/2 + 1) + (exp(a3_cup)*exp(k3_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1))/(PHI*(DELTA - exp(-k3_cu)*exp(iv3_cu)) - 1);
fyp(20,17)=(BETTA*exp(-la_cu)*exp(la_cup)*(PHI*(DELTA - exp(-k4_cup)*exp(iv4_cup))*((exp(-k4_cup)*exp(iv4_cup))/2 - DELTA/2 + 1) + (exp(a4_cup)*exp(k4_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1))/(PHI*(DELTA - exp(-k4_cu)*exp(iv4_cu)) - 1);
fyp(21,17)=(BETTA*exp(-la_cu)*exp(la_cup)*(PHI*(DELTA - exp(-k5_cup)*exp(iv5_cup))*((exp(-k5_cup)*exp(iv5_cup))/2 - DELTA/2 + 1) + (exp(a5_cup)*exp(k5_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1))/(PHI*(DELTA - exp(-k5_cu)*exp(iv5_cu)) - 1);
fyp(22,17)=(BETTA*exp(-la_cu)*exp(la_cup)*(PHI*(DELTA - exp(-k6_cup)*exp(iv6_cup))*((exp(-k6_cup)*exp(iv6_cup))/2 - DELTA/2 + 1) + (exp(a6_cup)*exp(k6_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1))/(PHI*(DELTA - exp(-k6_cu)*exp(iv6_cu)) - 1);
fyp(23,17)=(BETTA*exp(-la_cu)*exp(la_cup)*(PHI*(DELTA - exp(-k7_cup)*exp(iv7_cup))*((exp(-k7_cup)*exp(iv7_cup))/2 - DELTA/2 + 1) + (exp(a7_cup)*exp(k7_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1))/(PHI*(DELTA - exp(-k7_cu)*exp(iv7_cu)) - 1);
fyp(24,17)=(BETTA*exp(-la_cu)*exp(la_cup)*(PHI*(DELTA - exp(-k8_cup)*exp(iv8_cup))*((exp(-k8_cup)*exp(iv8_cup))/2 - DELTA/2 + 1) + (exp(a8_cup)*exp(k8_cup)^(ALFA - 1)*(BETTA - 1))/BETTA - 1))/(PHI*(DELTA - exp(-k8_cu)*exp(iv8_cu)) - 1);
% END DISPLAYING fyp
end
end
