function [f,fx11,fx11p,fy,fyp,fx12] = getModelDeriv_EP(nx,mx,myx,ny,params,N,h0,g0,x,y,t,getDeriv)
 
%Unfold params
BETTA= params.BETTA;
PHIzero= params.PHIzero;
PHIone= params.PHIone;
PHItwo= params.PHItwo;
KAPAtwo= params.KAPAtwo;
DELTA= params.DELTA;
THETA= params.THETA;
ETA= params.ETA;
ALFA= params.ALFA;
RHOR= params.RHOR;
BETTAPAI= params.BETTAPAI;
BETTAY= params.BETTAY;
RHOA= params.RHOA;
IV= params.IV;
K= params.K;
R= params.R;
PAI= params.PAI;
Y= params.Y;
 
% Current values in the model;
% x(N,mx) y(N,ny);
% x;
k_cu = x(t,1)+h0(1,1);
s_cu = x(t,2)+h0(2,1);
r_ba1 = x(t,3)+h0(3,1);
a_cu = x(t,4)+h0(4,1);
% xp;
k_cup = x(t+1,1)+h0(1,1);
s_cup = x(t+1,2)+h0(2,1);
r_ba1p = x(t+1,3)+h0(3,1);
a_cup = x(t+1,4)+h0(4,1);
 
% y
r_cu = y(t,1)+g0(1,1);
c_cu = y(t,2)+g0(2,1);
iv_cu = y(t,3)+g0(3,1);
pai_cu = y(t,4)+g0(4,1);
xtwo_cu = y(t,5)+g0(5,1);
y_cu = y(t,6)+g0(6,1);
w_cu = y(t,7)+g0(7,1);
mc_cu = y(t,8)+g0(8,1);
ptil_cu = y(t,9)+g0(9,1);
h_cu = y(t,10)+g0(10,1);
rk_cu = y(t,11)+g0(11,1);
q_cu = y(t,12)+g0(12,1);
% yp;
r_cup = y(t+1,1)+g0(1,1);
c_cup = y(t+1,2)+g0(2,1);
iv_cup = y(t+1,3)+g0(3,1);
pai_cup = y(t+1,4)+g0(4,1);
xtwo_cup = y(t+1,5)+g0(5,1);
y_cup = y(t+1,6)+g0(6,1);
w_cup = y(t+1,7)+g0(7,1);
mc_cup = y(t+1,8)+g0(8,1);
ptil_cup = y(t+1,9)+g0(9,1);
h_cup = y(t+1,10)+g0(10,1);
rk_cup = y(t+1,11)+g0(11,1);
q_cup = y(t+1,12)+g0(12,1);
 
%% Setting the dimension of the matrices 
fx11  = zeros(ny+mx,mx);
fx11p = zeros(ny+mx,mx);
fy   = zeros(mx+ny,ny);
fyp  = zeros(mx+ny,ny);
fx12 = zeros(mx+ny,myx);
 
%% f Function evaluation
% START DISPLAYING f
f(1,1)=- (BETTA*exp(-q_cu)*exp(c_cu)^PHItwo*(exp(q_cup)*(DELTA - 1) - exp(rk_cup) + (KAPAtwo*exp(q_cup)*(IV/K - exp(-k_cup)*exp(iv_cup))^2)/2 + KAPAtwo*exp(-k_cup)*exp(iv_cup)*exp(q_cup)*(IV/K - exp(-k_cup)*exp(iv_cup))))/exp(c_cup)^PHItwo - 1;
f(2,1)=(BETTA*exp(-pai_cup)*exp(r_cu)*exp(c_cu)^PHItwo)/exp(c_cup)^PHItwo - 1;
f(3,1)=(ETA*exp(-xtwo_cu)*((exp(mc_cu)*exp(y_cu))/exp(ptil_cu)^(ETA + 1) + (ALFA*BETTA*exp(xtwo_cup)*exp(c_cu)^PHItwo*(ETA - 1))/(ETA*exp(-pai_cup)^ETA*exp(c_cup)^PHItwo*(exp(-ptil_cup)*exp(ptil_cu))^(ETA + 1))))/(ETA - 1) - 1;
f(4,1)=(exp(-xtwo_cu)*exp(y_cu))/exp(ptil_cu)^ETA + (ALFA*BETTA*exp(-pai_cup)^(1 - ETA)*exp(-xtwo_cu)*exp(xtwo_cup)*exp(c_cu)^PHItwo)/(exp(c_cup)^PHItwo*(exp(-ptil_cup)*exp(ptil_cu))^ETA) - 1;
f(5,1)=exp(-y_cu)*exp(c_cu) + exp(-y_cu)*exp(iv_cu) - 1;
f(6,1)=exp(-s_cup)*exp(-y_cu)*exp(a_cu)*exp(h_cu)^(1 - THETA)*exp(k_cu)^THETA - 1;
f(7,1)=(PHIzero*exp(-w_cu)*exp(c_cu)^PHItwo)/(1 - exp(h_cu))^PHIone - 1;
f(8,1)=- (exp(-w_cu)*exp(a_cu)*exp(mc_cu)*(THETA - 1))/(exp(-k_cu)*exp(h_cu))^THETA - 1;
f(9,1)=RHOR*log(exp(r_ba1)/R) - log(exp(r_cu)/R) - (BETTAY*log(exp(y_cu)/Y) + BETTAPAI*log(exp(pai_cu)/PAI))*(RHOR - 1);
f(10,1)=ALFA*exp(-pai_cu)^(1 - ETA) - exp(ptil_cu)^(1 - ETA)*(ALFA - 1) - 1;
f(11,1)=THETA*exp(-rk_cu)*exp(a_cu)*exp(mc_cu)*(exp(-k_cu)*exp(h_cu))^(1 - THETA) - 1;
f(12,1)=exp(q_cu)*(KAPAtwo*(IV/K - exp(-k_cu)*exp(iv_cu)) + 1) - 1;
f(13,1)=exp(-k_cup)*exp(iv_cu) - exp(-k_cup)*exp(k_cu)*(DELTA - 1) - (KAPAtwo*exp(-k_cup)*exp(k_cu)*(IV/K - exp(-k_cu)*exp(iv_cu))^2)/2 - 1;
f(14,1)=ALFA*exp(-s_cup)*exp(s_cu)*exp(pai_cu)^ETA - (exp(-s_cup)*(ALFA - 1))/exp(ptil_cu)^ETA - 1;
% END DISPLAYING f
 
%% Model derivatives fx11, fx11p, fy, fyp
if getDeriv == 1
% START DISPLAYING fx11
fx11(6,1)=THETA*exp(-s_cup)*exp(-y_cu)*exp(a_cu)*exp(k_cu)*exp(h_cu)^(1 - THETA)*exp(k_cu)^(THETA - 1);
fx11(8,1)=-(THETA*exp(-k_cu)*exp(-w_cu)*exp(a_cu)*exp(h_cu)*exp(mc_cu)*(THETA - 1))/(exp(-k_cu)*exp(h_cu))^(THETA + 1);
fx11(11,1)=(THETA*exp(-k_cu)*exp(-rk_cu)*exp(a_cu)*exp(h_cu)*exp(mc_cu)*(THETA - 1))/(exp(-k_cu)*exp(h_cu))^THETA;
fx11(12,1)=KAPAtwo*exp(-k_cu)*exp(iv_cu)*exp(q_cu);
fx11(13,1)=- exp(-k_cup)*exp(k_cu)*(DELTA - 1) - (KAPAtwo*exp(-k_cup)*exp(k_cu)*(IV/K - exp(-k_cu)*exp(iv_cu))^2)/2 - KAPAtwo*exp(-k_cup)*exp(iv_cu)*(IV/K - exp(-k_cu)*exp(iv_cu));
fx11(14,2)=ALFA*exp(-s_cup)*exp(s_cu)*exp(pai_cu)^ETA;
% END DISPLAYING fx11
if t == 1;
    fx11  = zeros(ny+mx,mx);
end
 
% START DISPLAYING fx11p
fx11p(1,1)=-(BETTA*KAPAtwo*exp(2*iv_cup)*exp(-2*k_cup)*exp(-q_cu)*exp(q_cup)*exp(c_cu)^PHItwo)/exp(c_cup)^PHItwo;
fx11p(13,1)=exp(-k_cup)*exp(k_cu)*(DELTA - 1) - exp(-k_cup)*exp(iv_cu) + (KAPAtwo*exp(-k_cup)*exp(k_cu)*(IV/K - exp(-k_cu)*exp(iv_cu))^2)/2;
fx11p(6,2)=-exp(-s_cup)*exp(-y_cu)*exp(a_cu)*exp(h_cu)^(1 - THETA)*exp(k_cu)^THETA;
fx11p(14,2)=(exp(-s_cup)*(ALFA - 1))/exp(ptil_cu)^ETA - ALFA*exp(-s_cup)*exp(s_cu)*exp(pai_cu)^ETA;
% END DISPLAYING fx11p
 
 
% START DISPLAYING fy
fy(2,1)=(BETTA*exp(-pai_cup)*exp(r_cu)*exp(c_cu)^PHItwo)/exp(c_cup)^PHItwo;
fy(9,1)=-1;
fy(1,2)=-(BETTA*PHItwo*exp(-q_cu)*exp(c_cu)*exp(c_cu)^(PHItwo - 1)*(exp(q_cup)*(DELTA - 1) - exp(rk_cup) + (KAPAtwo*exp(q_cup)*(IV/K - exp(-k_cup)*exp(iv_cup))^2)/2 + KAPAtwo*exp(-k_cup)*exp(iv_cup)*exp(q_cup)*(IV/K - exp(-k_cup)*exp(iv_cup))))/exp(c_cup)^PHItwo;
fy(2,2)=(BETTA*PHItwo*exp(-pai_cup)*exp(c_cu)*exp(r_cu)*exp(c_cu)^(PHItwo - 1))/exp(c_cup)^PHItwo;
fy(3,2)=(ALFA*BETTA*PHItwo*exp(-xtwo_cu)*exp(c_cu)*exp(xtwo_cup)*exp(c_cu)^(PHItwo - 1))/(exp(-pai_cup)^ETA*exp(c_cup)^PHItwo*(exp(-ptil_cup)*exp(ptil_cu))^(ETA + 1));
fy(4,2)=(ALFA*BETTA*PHItwo*exp(-pai_cup)^(1 - ETA)*exp(-xtwo_cu)*exp(c_cu)*exp(xtwo_cup)*exp(c_cu)^(PHItwo - 1))/(exp(c_cup)^PHItwo*(exp(-ptil_cup)*exp(ptil_cu))^ETA);
fy(5,2)=exp(-y_cu)*exp(c_cu);
fy(7,2)=(PHItwo*PHIzero*exp(-w_cu)*exp(c_cu)*exp(c_cu)^(PHItwo - 1))/(1 - exp(h_cu))^PHIone;
fy(5,3)=exp(-y_cu)*exp(iv_cu);
fy(12,3)=-KAPAtwo*exp(-k_cu)*exp(iv_cu)*exp(q_cu);
fy(13,3)=exp(-k_cup)*exp(iv_cu) + KAPAtwo*exp(-k_cup)*exp(iv_cu)*(IV/K - exp(-k_cu)*exp(iv_cu));
fy(9,4)=-BETTAPAI*(RHOR - 1);
fy(10,4)=(ALFA*exp(-pai_cu)*(ETA - 1))/exp(-pai_cu)^ETA;
fy(14,4)=ALFA*ETA*exp(-s_cup)*exp(pai_cu)*exp(s_cu)*exp(pai_cu)^(ETA - 1);
fy(3,5)=-(ETA*exp(-xtwo_cu)*((exp(mc_cu)*exp(y_cu))/exp(ptil_cu)^(ETA + 1) + (ALFA*BETTA*exp(xtwo_cup)*exp(c_cu)^PHItwo*(ETA - 1))/(ETA*exp(-pai_cup)^ETA*exp(c_cup)^PHItwo*(exp(-ptil_cup)*exp(ptil_cu))^(ETA + 1))))/(ETA - 1);
fy(4,5)=- (exp(-xtwo_cu)*exp(y_cu))/exp(ptil_cu)^ETA - (ALFA*BETTA*exp(-pai_cup)^(1 - ETA)*exp(-xtwo_cu)*exp(xtwo_cup)*exp(c_cu)^PHItwo)/(exp(c_cup)^PHItwo*(exp(-ptil_cup)*exp(ptil_cu))^ETA);
fy(3,6)=(ETA*exp(-xtwo_cu)*exp(mc_cu)*exp(y_cu))/(exp(ptil_cu)^(ETA + 1)*(ETA - 1));
fy(4,6)=(exp(-xtwo_cu)*exp(y_cu))/exp(ptil_cu)^ETA;
fy(5,6)=- exp(-y_cu)*exp(c_cu) - exp(-y_cu)*exp(iv_cu);
fy(6,6)=-exp(-s_cup)*exp(-y_cu)*exp(a_cu)*exp(h_cu)^(1 - THETA)*exp(k_cu)^THETA;
fy(9,6)=-BETTAY*(RHOR - 1);
fy(7,7)=-(PHIzero*exp(-w_cu)*exp(c_cu)^PHItwo)/(1 - exp(h_cu))^PHIone;
fy(8,7)=(exp(-w_cu)*exp(a_cu)*exp(mc_cu)*(THETA - 1))/(exp(-k_cu)*exp(h_cu))^THETA;
fy(3,8)=(ETA*exp(-xtwo_cu)*exp(mc_cu)*exp(y_cu))/(exp(ptil_cu)^(ETA + 1)*(ETA - 1));
fy(8,8)=-(exp(-w_cu)*exp(a_cu)*exp(mc_cu)*(THETA - 1))/(exp(-k_cu)*exp(h_cu))^THETA;
fy(11,8)=THETA*exp(-rk_cu)*exp(a_cu)*exp(mc_cu)*(exp(-k_cu)*exp(h_cu))^(1 - THETA);
fy(3,9)=-(ETA*exp(-xtwo_cu)*((exp(mc_cu)*exp(ptil_cu)*exp(y_cu)*(ETA + 1))/exp(ptil_cu)^(ETA + 2) + (ALFA*BETTA*exp(-ptil_cup)*exp(ptil_cu)*exp(xtwo_cup)*exp(c_cu)^PHItwo*(ETA - 1)*(ETA + 1))/(ETA*exp(-pai_cup)^ETA*exp(c_cup)^PHItwo*(exp(-ptil_cup)*exp(ptil_cu))^(ETA + 2))))/(ETA - 1);
fy(4,9)=- (ETA*exp(-xtwo_cu)*exp(ptil_cu)*exp(y_cu))/exp(ptil_cu)^(ETA + 1) - (ALFA*BETTA*ETA*exp(-pai_cup)^(1 - ETA)*exp(-ptil_cup)*exp(-xtwo_cu)*exp(ptil_cu)*exp(xtwo_cup)*exp(c_cu)^PHItwo)/(exp(c_cup)^PHItwo*(exp(-ptil_cup)*exp(ptil_cu))^(ETA + 1));
fy(10,9)=(exp(ptil_cu)*(ALFA - 1)*(ETA - 1))/exp(ptil_cu)^ETA;
fy(14,9)=(ETA*exp(-s_cup)*exp(ptil_cu)*(ALFA - 1))/exp(ptil_cu)^(ETA + 1);
fy(6,10)=-(exp(-s_cup)*exp(-y_cu)*exp(a_cu)*exp(h_cu)*exp(k_cu)^THETA*(THETA - 1))/exp(h_cu)^THETA;
fy(7,10)=(PHIone*PHIzero*exp(-w_cu)*exp(h_cu)*exp(c_cu)^PHItwo)/(1 - exp(h_cu))^(PHIone + 1);
fy(8,10)=(THETA*exp(-k_cu)*exp(-w_cu)*exp(a_cu)*exp(h_cu)*exp(mc_cu)*(THETA - 1))/(exp(-k_cu)*exp(h_cu))^(THETA + 1);
fy(11,10)=-(THETA*exp(-k_cu)*exp(-rk_cu)*exp(a_cu)*exp(h_cu)*exp(mc_cu)*(THETA - 1))/(exp(-k_cu)*exp(h_cu))^THETA;
fy(11,11)=-THETA*exp(-rk_cu)*exp(a_cu)*exp(mc_cu)*(exp(-k_cu)*exp(h_cu))^(1 - THETA);
fy(1,12)=(BETTA*exp(-q_cu)*exp(c_cu)^PHItwo*(exp(q_cup)*(DELTA - 1) - exp(rk_cup) + (KAPAtwo*exp(q_cup)*(IV/K - exp(-k_cup)*exp(iv_cup))^2)/2 + KAPAtwo*exp(-k_cup)*exp(iv_cup)*exp(q_cup)*(IV/K - exp(-k_cup)*exp(iv_cup))))/exp(c_cup)^PHItwo;
fy(12,12)=exp(q_cu)*(KAPAtwo*(IV/K - exp(-k_cu)*exp(iv_cu)) + 1);
% END DISPLAYING fy
 
% START DISPLAYING fx12
fx12(9,1)=RHOR;
% END DISPLAYING fx12
if t < N
% START DISPLAYING fyp
fyp(1,2)=(BETTA*PHItwo*exp(-q_cu)*exp(c_cup)*exp(c_cu)^PHItwo*(exp(q_cup)*(DELTA - 1) - exp(rk_cup) + (KAPAtwo*exp(q_cup)*(IV/K - exp(-k_cup)*exp(iv_cup))^2)/2 + KAPAtwo*exp(-k_cup)*exp(iv_cup)*exp(q_cup)*(IV/K - exp(-k_cup)*exp(iv_cup))))/exp(c_cup)^(PHItwo + 1);
fyp(2,2)=-(BETTA*PHItwo*exp(-pai_cup)*exp(c_cup)*exp(r_cu)*exp(c_cu)^PHItwo)/exp(c_cup)^(PHItwo + 1);
fyp(3,2)=-(ALFA*BETTA*PHItwo*exp(-xtwo_cu)*exp(c_cup)*exp(xtwo_cup)*exp(c_cu)^PHItwo)/(exp(-pai_cup)^ETA*exp(c_cup)^(PHItwo + 1)*(exp(-ptil_cup)*exp(ptil_cu))^(ETA + 1));
fyp(4,2)=-(ALFA*BETTA*PHItwo*exp(-pai_cup)^(1 - ETA)*exp(-xtwo_cu)*exp(c_cup)*exp(xtwo_cup)*exp(c_cu)^PHItwo)/(exp(c_cup)^(PHItwo + 1)*(exp(-ptil_cup)*exp(ptil_cu))^ETA);
fyp(1,3)=(BETTA*KAPAtwo*exp(2*iv_cup)*exp(-2*k_cup)*exp(-q_cu)*exp(q_cup)*exp(c_cu)^PHItwo)/exp(c_cup)^PHItwo;
fyp(2,4)=-(BETTA*exp(-pai_cup)*exp(r_cu)*exp(c_cu)^PHItwo)/exp(c_cup)^PHItwo;
fyp(3,4)=(ALFA*BETTA*ETA*exp(-pai_cup)*exp(-xtwo_cu)*exp(xtwo_cup)*exp(c_cu)^PHItwo)/(exp(-pai_cup)^(ETA + 1)*exp(c_cup)^PHItwo*(exp(-ptil_cup)*exp(ptil_cu))^(ETA + 1));
fyp(4,4)=(ALFA*BETTA*exp(-pai_cup)*exp(-xtwo_cu)*exp(xtwo_cup)*exp(c_cu)^PHItwo*(ETA - 1))/(exp(-pai_cup)^ETA*exp(c_cup)^PHItwo*(exp(-ptil_cup)*exp(ptil_cu))^ETA);
fyp(3,5)=(ALFA*BETTA*exp(-xtwo_cu)*exp(xtwo_cup)*exp(c_cu)^PHItwo)/(exp(-pai_cup)^ETA*exp(c_cup)^PHItwo*(exp(-ptil_cup)*exp(ptil_cu))^(ETA + 1));
fyp(4,5)=(ALFA*BETTA*exp(-pai_cup)^(1 - ETA)*exp(-xtwo_cu)*exp(xtwo_cup)*exp(c_cu)^PHItwo)/(exp(c_cup)^PHItwo*(exp(-ptil_cup)*exp(ptil_cu))^ETA);
fyp(3,9)=(ALFA*BETTA*exp(-ptil_cup)*exp(-xtwo_cu)*exp(ptil_cu)*exp(xtwo_cup)*exp(c_cu)^PHItwo*(ETA + 1))/(exp(-pai_cup)^ETA*exp(c_cup)^PHItwo*(exp(-ptil_cup)*exp(ptil_cu))^(ETA + 2));
fyp(4,9)=(ALFA*BETTA*ETA*exp(-pai_cup)^(1 - ETA)*exp(-ptil_cup)*exp(-xtwo_cu)*exp(ptil_cu)*exp(xtwo_cup)*exp(c_cu)^PHItwo)/(exp(c_cup)^PHItwo*(exp(-ptil_cup)*exp(ptil_cu))^(ETA + 1));
fyp(1,11)=(BETTA*exp(-q_cu)*exp(rk_cup)*exp(c_cu)^PHItwo)/exp(c_cup)^PHItwo;
fyp(1,12)=-(BETTA*exp(-q_cu)*exp(c_cu)^PHItwo*(exp(q_cup)*(DELTA - 1) + (KAPAtwo*exp(q_cup)*(IV/K - exp(-k_cup)*exp(iv_cup))^2)/2 + KAPAtwo*exp(-k_cup)*exp(iv_cup)*exp(q_cup)*(IV/K - exp(-k_cup)*exp(iv_cup))))/exp(c_cup)^PHItwo;
% END DISPLAYING fyp
end
end
