function [params,gridFactor_x] = getParamsVersion(paramsVersion)

params.BETTA   = 0.99;
params.H       = 1/3;
params.PHIone  = 2;
params.PHItwo  = 2;
params.KAPAtwo = 2;
params.DELTA   = 0.025;
params.THETA   = 0.36;
params.ETA     = 6;
params.ALFA    = 0.75;
params.RHOR    = 0.80;
params.BETTAPAI= 1.50;
params.BETTAY  = 0.125;
params.PAI     = 1.00;
params.RHOA    = 0.98;
params.STDA    = 0.006;
gridFactor_x   = [2 2 2 2]';
if paramsVersion == 2
    % Strong nonlinearity
    params.PAI = 1.005;
end

end