function [auxOut,f,errorMes] = numF(params)
 
% Computing the steady 
[auxOut,errorMes] = NKmodel_ss(params);
params = auxOut.params;
xss = auxOut.xssTrans;
yss = auxOut.yssTrans;
 
%Unfold params
BETTA= params.BETTA;
PHIzero= params.PHIzero;
PHIone= params.PHIone;
PHItwo= params.PHItwo;
KAPAtwo= params.KAPAtwo;
DELTA= params.DELTA;
THETA= params.THETA;
ETA= params.ETA;
ALFA= params.ALFA;
RHOR= params.RHOR;
BETTAPAI= params.BETTAPAI;
BETTAY= params.BETTAY;
RHOA= params.RHOA;
IV= params.IV;
K= params.K;
R= params.R;
PAI= params.PAI;
Y= params.Y;
 
% Current values in the model;
% x;
k_cu = xss(1);
s_cu = xss(2);
r_ba1 = xss(3);
a_cu = xss(4);
% xp;
k_cup = xss(1);
s_cup = xss(2);
r_ba1p = xss(3);
a_cup = xss(4);
 
% y
r_cu = yss(1);
c_cu = yss(2);
iv_cu = yss(3);
pai_cu = yss(4);
xtwo_cu = yss(5);
y_cu = yss(6);
w_cu = yss(7);
mc_cu = yss(8);
ptil_cu = yss(9);
h_cu = yss(10);
rk_cu = yss(11);
q_cu = yss(12);
% yp;
r_cup = yss(1);
c_cup = yss(2);
iv_cup = yss(3);
pai_cup = yss(4);
xtwo_cup = yss(5);
y_cup = yss(6);
w_cup = yss(7);
mc_cup = yss(8);
ptil_cup = yss(9);
h_cup = yss(10);
rk_cup = yss(11);
q_cup = yss(12);
 
%% Setting the dimension of f matrices 
f  = zeros(length(xss)+length(yss),1);
 
%% f Function evaluation
% START DISPLAYING f
f(1,1)=- exp(q_cu)/exp(c_cu)^PHItwo - (BETTA*(exp(q_cup)*(DELTA - 1) - exp(rk_cup) + (KAPAtwo*exp(q_cup)*(IV/K - exp(-k_cup)*exp(iv_cup))^2)/2 + KAPAtwo*exp(-k_cup)*exp(iv_cup)*exp(q_cup)*(IV/K - exp(-k_cup)*exp(iv_cup))))/exp(c_cup)^PHItwo;
f(2,1)=(BETTA*exp(-pai_cup)*exp(r_cu))/exp(c_cup)^PHItwo - 1/exp(c_cu)^PHItwo;
f(3,1)=(exp(mc_cu)*exp(y_cu))/exp(ptil_cu)^(ETA + 1) - (exp(xtwo_cu)*(ETA - 1))/ETA + (ALFA*BETTA*exp(xtwo_cup)*exp(c_cu)^PHItwo*(ETA - 1))/(ETA*exp(-pai_cup)^ETA*exp(c_cup)^PHItwo*(exp(-ptil_cup)*exp(ptil_cu))^(ETA + 1));
f(4,1)=exp(y_cu)/exp(ptil_cu)^ETA - exp(xtwo_cu) + (ALFA*BETTA*exp(-pai_cup)^(1 - ETA)*exp(xtwo_cup)*exp(c_cu)^PHItwo)/(exp(c_cup)^PHItwo*(exp(-ptil_cup)*exp(ptil_cu))^ETA);
f(5,1)=exp(c_cu) + exp(iv_cu) - exp(y_cu);
f(6,1)=exp(a_cu)*exp(h_cu)^(1 - THETA)*exp(k_cu)^THETA - exp(s_cup)*exp(y_cu);
f(7,1)=PHIzero/(1 - exp(h_cu))^PHIone - exp(w_cu)/exp(c_cu)^PHItwo;
f(8,1)=- exp(w_cu) - (exp(a_cu)*exp(mc_cu)*(THETA - 1))/(exp(-k_cu)*exp(h_cu))^THETA;
f(9,1)=RHOR*log(exp(r_ba1)/R) - log(exp(r_cu)/R) - (BETTAY*log(exp(y_cu)/Y) + BETTAPAI*log(exp(pai_cu)/PAI))*(RHOR - 1);
f(10,1)=ALFA*exp(-pai_cu)^(1 - ETA) - exp(ptil_cu)^(1 - ETA)*(ALFA - 1) - 1;
f(11,1)=THETA*exp(a_cu)*exp(mc_cu)*(exp(-k_cu)*exp(h_cu))^(1 - THETA) - exp(rk_cu);
f(12,1)=exp(q_cu)*(KAPAtwo*(IV/K - exp(-k_cu)*exp(iv_cu)) + 1) - 1;
f(13,1)=exp(iv_cu) - exp(k_cup) - exp(k_cu)*(DELTA - 1) - (KAPAtwo*exp(k_cu)*(IV/K - exp(-k_cu)*exp(iv_cu))^2)/2;
f(14,1)=ALFA*exp(s_cu)*exp(pai_cu)^ETA - (ALFA - 1)/exp(ptil_cu)^ETA - exp(s_cup);
f(15,1)=exp(r_cu) - exp(r_ba1p);
f(16,1)=RHOA*log(exp(a_cu)) - log(exp(a_cup));
% END DISPLAYING f
 
end
