function F = DSGEforesight_N(Z,x_t,y_tN,N,setupEPer)
 
%Unfold some elements in setupEper
nx        = setupEPer.nx;
mx        = setupEPer.mx;
myx       = setupEPer.myx;
ny        = setupEPer.ny;
params    = setupEPer.params;
hx        = setupEPer.hx;
 
%Unfold params
DELTA= params.DELTA;
BETTA= params.BETTA;
GAMA= params.GAMA;
PHI= params.PHI;
ALFA= params.ALFA;
RHOA= params.RHOA;
 
% Retrieving stacked variables
[x,y] = VarStack(Z,nx,mx,myx,ny,hx,x_t,y_tN,N);
 
% Adding the level to the variables
y = y + repmat(transpose(setupEPer.g0),N+1,1);
x = x + repmat(transpose(setupEPer.h0),N+1,1);
 
% Current values in the model;
% x(N,mx) y(N,ny);
% x;
k1_cu = x(1:N,1);
k2_cu = x(1:N,2);
k3_cu = x(1:N,3);
k4_cu = x(1:N,4);
k5_cu = x(1:N,5);
k6_cu = x(1:N,6);
k7_cu = x(1:N,7);
k8_cu = x(1:N,8);
a1_cu = x(1:N,9);
a2_cu = x(1:N,10);
a3_cu = x(1:N,11);
a4_cu = x(1:N,12);
a5_cu = x(1:N,13);
a6_cu = x(1:N,14);
a7_cu = x(1:N,15);
a8_cu = x(1:N,16);
% xp;
k1_cup = x(2:N+1,1);
k2_cup = x(2:N+1,2);
k3_cup = x(2:N+1,3);
k4_cup = x(2:N+1,4);
k5_cup = x(2:N+1,5);
k6_cup = x(2:N+1,6);
k7_cup = x(2:N+1,7);
k8_cup = x(2:N+1,8);
a1_cup = x(2:N+1,9);
a2_cup = x(2:N+1,10);
a3_cup = x(2:N+1,11);
a4_cup = x(2:N+1,12);
a5_cup = x(2:N+1,13);
a6_cup = x(2:N+1,14);
a7_cup = x(2:N+1,15);
a8_cup = x(2:N+1,16);
 
% y
c1_cu = y(1:N,1);
c2_cu = y(1:N,2);
c3_cu = y(1:N,3);
c4_cu = y(1:N,4);
c5_cu = y(1:N,5);
c6_cu = y(1:N,6);
c7_cu = y(1:N,7);
c8_cu = y(1:N,8);
iv1_cu = y(1:N,9);
iv2_cu = y(1:N,10);
iv3_cu = y(1:N,11);
iv4_cu = y(1:N,12);
iv5_cu = y(1:N,13);
iv6_cu = y(1:N,14);
iv7_cu = y(1:N,15);
iv8_cu = y(1:N,16);
la_cu = y(1:N,17);
% yp;
c1_cup = y(2:N+1,1);
c2_cup = y(2:N+1,2);
c3_cup = y(2:N+1,3);
c4_cup = y(2:N+1,4);
c5_cup = y(2:N+1,5);
c6_cup = y(2:N+1,6);
c7_cup = y(2:N+1,7);
c8_cup = y(2:N+1,8);
iv1_cup = y(2:N+1,9);
iv2_cup = y(2:N+1,10);
iv3_cup = y(2:N+1,11);
iv4_cup = y(2:N+1,12);
iv5_cup = y(2:N+1,13);
iv6_cup = y(2:N+1,14);
iv7_cup = y(2:N+1,15);
iv8_cup = y(2:N+1,16);
la_cup = y(2:N+1,17);
 
%% Setting the dimension of the matrices 
f = zeros(ny+mx,N);
%% f Function evaluation
% START DISPLAYING f
f(1,:)=(exp(-la_cu).*(-(BETTA - 1)./(ALFA.*BETTA)).^(1./GAMA))./exp(c1_cu).^(1./GAMA) - 1;
f(2,:)=(exp(-la_cu).*(-(BETTA - 1)./(ALFA.*BETTA)).^(1./GAMA))./exp(c2_cu).^(1./GAMA) - 1;
f(3,:)=(exp(-la_cu).*(-(BETTA - 1)./(ALFA.*BETTA)).^(1./GAMA))./exp(c3_cu).^(1./GAMA) - 1;
f(4,:)=(exp(-la_cu).*(-(BETTA - 1)./(ALFA.*BETTA)).^(1./GAMA))./exp(c4_cu).^(1./GAMA) - 1;
f(5,:)=(exp(-la_cu).*(-(BETTA - 1)./(ALFA.*BETTA)).^(1./GAMA))./exp(c5_cu).^(1./GAMA) - 1;
f(6,:)=(exp(-la_cu).*(-(BETTA - 1)./(ALFA.*BETTA)).^(1./GAMA))./exp(c6_cu).^(1./GAMA) - 1;
f(7,:)=(exp(-la_cu).*(-(BETTA - 1)./(ALFA.*BETTA)).^(1./GAMA))./exp(c7_cu).^(1./GAMA) - 1;
f(8,:)=(exp(-la_cu).*(-(BETTA - 1)./(ALFA.*BETTA)).^(1./GAMA))./exp(c8_cu).^(1./GAMA) - 1;
f(9,:)=exp(-k1_cup).*(exp(iv1_cu) - exp(k1_cu).*(DELTA - 1)) - 1;
f(10,:)=exp(-k2_cup).*(exp(iv2_cu) - exp(k2_cu).*(DELTA - 1)) - 1;
f(11,:)=exp(-k3_cup).*(exp(iv3_cu) - exp(k3_cu).*(DELTA - 1)) - 1;
f(12,:)=exp(-k4_cup).*(exp(iv4_cu) - exp(k4_cu).*(DELTA - 1)) - 1;
f(13,:)=exp(-k5_cup).*(exp(iv5_cu) - exp(k5_cu).*(DELTA - 1)) - 1;
f(14,:)=exp(-k6_cup).*(exp(iv6_cu) - exp(k6_cu).*(DELTA - 1)) - 1;
f(15,:)=exp(-k7_cup).*(exp(iv7_cu) - exp(k7_cu).*(DELTA - 1)) - 1;
f(16,:)=exp(-k8_cup).*(exp(iv8_cu) - exp(k8_cu).*(DELTA - 1)) - 1;
f(17,:)=-(exp(-la_cu).*(exp(la_cu).*(PHI.*(DELTA - exp(-k1_cu).*exp(iv1_cu)) - 1) - BETTA.*exp(la_cup).*(PHI.*(DELTA - exp(-k1_cup).*exp(iv1_cup)).*((exp(-k1_cup).*exp(iv1_cup))./2 - DELTA./2 + 1) + (exp(a1_cup).*exp(k1_cup).^(ALFA - 1).*(BETTA - 1))./BETTA - 1)))./(PHI.*(DELTA - exp(-k1_cu).*exp(iv1_cu)) - 1);
f(18,:)=-(exp(-la_cu).*(exp(la_cu).*(PHI.*(DELTA - exp(-k2_cu).*exp(iv2_cu)) - 1) - BETTA.*exp(la_cup).*(PHI.*(DELTA - exp(-k2_cup).*exp(iv2_cup)).*((exp(-k2_cup).*exp(iv2_cup))./2 - DELTA./2 + 1) + (exp(a2_cup).*exp(k2_cup).^(ALFA - 1).*(BETTA - 1))./BETTA - 1)))./(PHI.*(DELTA - exp(-k2_cu).*exp(iv2_cu)) - 1);
f(19,:)=-(exp(-la_cu).*(exp(la_cu).*(PHI.*(DELTA - exp(-k3_cu).*exp(iv3_cu)) - 1) - BETTA.*exp(la_cup).*(PHI.*(DELTA - exp(-k3_cup).*exp(iv3_cup)).*((exp(-k3_cup).*exp(iv3_cup))./2 - DELTA./2 + 1) + (exp(a3_cup).*exp(k3_cup).^(ALFA - 1).*(BETTA - 1))./BETTA - 1)))./(PHI.*(DELTA - exp(-k3_cu).*exp(iv3_cu)) - 1);
f(20,:)=-(exp(-la_cu).*(exp(la_cu).*(PHI.*(DELTA - exp(-k4_cu).*exp(iv4_cu)) - 1) - BETTA.*exp(la_cup).*(PHI.*(DELTA - exp(-k4_cup).*exp(iv4_cup)).*((exp(-k4_cup).*exp(iv4_cup))./2 - DELTA./2 + 1) + (exp(a4_cup).*exp(k4_cup).^(ALFA - 1).*(BETTA - 1))./BETTA - 1)))./(PHI.*(DELTA - exp(-k4_cu).*exp(iv4_cu)) - 1);
f(21,:)=-(exp(-la_cu).*(exp(la_cu).*(PHI.*(DELTA - exp(-k5_cu).*exp(iv5_cu)) - 1) - BETTA.*exp(la_cup).*(PHI.*(DELTA - exp(-k5_cup).*exp(iv5_cup)).*((exp(-k5_cup).*exp(iv5_cup))./2 - DELTA./2 + 1) + (exp(a5_cup).*exp(k5_cup).^(ALFA - 1).*(BETTA - 1))./BETTA - 1)))./(PHI.*(DELTA - exp(-k5_cu).*exp(iv5_cu)) - 1);
f(22,:)=-(exp(-la_cu).*(exp(la_cu).*(PHI.*(DELTA - exp(-k6_cu).*exp(iv6_cu)) - 1) - BETTA.*exp(la_cup).*(PHI.*(DELTA - exp(-k6_cup).*exp(iv6_cup)).*((exp(-k6_cup).*exp(iv6_cup))./2 - DELTA./2 + 1) + (exp(a6_cup).*exp(k6_cup).^(ALFA - 1).*(BETTA - 1))./BETTA - 1)))./(PHI.*(DELTA - exp(-k6_cu).*exp(iv6_cu)) - 1);
f(23,:)=-(exp(-la_cu).*(exp(la_cu).*(PHI.*(DELTA - exp(-k7_cu).*exp(iv7_cu)) - 1) - BETTA.*exp(la_cup).*(PHI.*(DELTA - exp(-k7_cup).*exp(iv7_cup)).*((exp(-k7_cup).*exp(iv7_cup))./2 - DELTA./2 + 1) + (exp(a7_cup).*exp(k7_cup).^(ALFA - 1).*(BETTA - 1))./BETTA - 1)))./(PHI.*(DELTA - exp(-k7_cu).*exp(iv7_cu)) - 1);
f(24,:)=-(exp(-la_cu).*(exp(la_cu).*(PHI.*(DELTA - exp(-k8_cu).*exp(iv8_cu)) - 1) - BETTA.*exp(la_cup).*(PHI.*(DELTA - exp(-k8_cup).*exp(iv8_cup)).*((exp(-k8_cup).*exp(iv8_cup))./2 - DELTA./2 + 1) + (exp(a8_cup).*exp(k8_cup).^(ALFA - 1).*(BETTA - 1))./BETTA - 1)))./(PHI.*(DELTA - exp(-k8_cu).*exp(iv8_cu)) - 1);
f(25,:)=- ((PHI.*exp(k1_cu).*(DELTA - exp(-k1_cu).*exp(iv1_cu)).^2)./2 + (PHI.*exp(k2_cu).*(DELTA - exp(-k2_cu).*exp(iv2_cu)).^2)./2 + (PHI.*exp(k3_cu).*(DELTA - exp(-k3_cu).*exp(iv3_cu)).^2)./2 + (PHI.*exp(k4_cu).*(DELTA - exp(-k4_cu).*exp(iv4_cu)).^2)./2 + (PHI.*exp(k5_cu).*(DELTA - exp(-k5_cu).*exp(iv5_cu)).^2)./2 + (PHI.*exp(k6_cu).*(DELTA - exp(-k6_cu).*exp(iv6_cu)).^2)./2 + (PHI.*exp(k7_cu).*(DELTA - exp(-k7_cu).*exp(iv7_cu)).^2)./2 + (PHI.*exp(k8_cu).*(DELTA - exp(-k8_cu).*exp(iv8_cu)).^2)./2 + (exp(a1_cu).*exp(k1_cu).^ALFA.*(BETTA - 1))./(ALFA.*BETTA) + (exp(a2_cu).*exp(k2_cu).^ALFA.*(BETTA - 1))./(ALFA.*BETTA) + (exp(a3_cu).*exp(k3_cu).^ALFA.*(BETTA - 1))./(ALFA.*BETTA) + (exp(a4_cu).*exp(k4_cu).^ALFA.*(BETTA - 1))./(ALFA.*BETTA) + (exp(a5_cu).*exp(k5_cu).^ALFA.*(BETTA - 1))./(ALFA.*BETTA) + (exp(a6_cu).*exp(k6_cu).^ALFA.*(BETTA - 1))./(ALFA.*BETTA) + (exp(a7_cu).*exp(k7_cu).^ALFA.*(BETTA - 1))./(ALFA.*BETTA) + (exp(a8_cu).*exp(k8_cu).^ALFA.*(BETTA - 1))./(ALFA.*BETTA))./(exp(c1_cu) + exp(c2_cu) + exp(c3_cu) + exp(c4_cu) + exp(c5_cu) + exp(c6_cu) + exp(c7_cu) + exp(c8_cu) + exp(iv1_cu) + exp(iv2_cu) + exp(iv3_cu) + exp(iv4_cu) + exp(iv5_cu) + exp(iv6_cu) + exp(iv7_cu) + exp(iv8_cu) - DELTA.*exp(k1_cu) - DELTA.*exp(k2_cu) - DELTA.*exp(k3_cu) - DELTA.*exp(k4_cu) - DELTA.*exp(k5_cu) - DELTA.*exp(k6_cu) - DELTA.*exp(k7_cu) - DELTA.*exp(k8_cu)) - 1;
% END DISPLAYING f
 
F = reshape(f,N*(ny+mx),1);
end
