function [params,gridFactor_x] = getParamsVersion(paramsVersion)

params.BETTA   = 0.99;
params.H       = 1/3;
params.PHIone  = 2;
params.PHItwo  = 2;
params.KAPA    = 2;
params.DELTA   = 0.025;
params.THETA   = 0.36;
params.ETA     = 6;
params.ALFA    = 0.75;
params.PAI     = 1.00;
%params.RHOR    = 0.80;
%params.BETTAPAI= 1.50;
%params.BETTAY  = 0.125;

% IV from full sample - scaled by rss = 1/BETTA-1
params.RHOR = 0.9688;
params.BETTAPAI =  1.5365;
params.BETTAY   =  0.8416;
  
% OLS from full sample - scaled by rss = 1/BETTA-1
params.RHOR = 0.9692;
params.BETTAPAI = 1.6234;
params.BETTAY   = 0.9118;
   
params.RHOD    = 0.98;
params.RHOA    = 0.98;
params.STDD    = 0.01;
params.STDA    = 0.006*0;
gridFactor_x   = [2 2 2 2]';


end